#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 605
#define LARGE_STATE_COUNT 14
#define SYMBOL_COUNT 162
#define ALIAS_COUNT 0
#define TOKEN_COUNT 87
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 11
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 15

enum ts_symbol_identifiers {
  anon_sym_LBRACE = 1,
  anon_sym_RBRACE = 2,
  anon_sym_class = 3,
  anon_sym_LPAREN = 4,
  anon_sym_COMMA = 5,
  anon_sym_RPAREN = 6,
  anon_sym_EQ = 7,
  anon_sym_inherits = 8,
  anon_sym_node = 9,
  anon_sym_define = 10,
  anon_sym_type = 11,
  anon_sym_PLUS_EQ = 12,
  anon_sym_DASH_GT = 13,
  anon_sym_TILDE_GT = 14,
  anon_sym_PIPE = 15,
  anon_sym_function = 16,
  anon_sym_GT_GT = 17,
  anon_sym_AT = 18,
  anon_sym_AT_AT = 19,
  anon_sym_SEMI = 20,
  anon_sym_COLON = 21,
  anon_sym_EQ_GT = 22,
  anon_sym_require = 23,
  anon_sym_include = 24,
  anon_sym_tag = 25,
  anon_sym_if = 26,
  anon_sym_elsif = 27,
  anon_sym_else = 28,
  anon_sym_unless = 29,
  anon_sym_case = 30,
  anon_sym_default = 31,
  anon_sym_LT_LT_PIPE = 32,
  anon_sym_LT_PIPE = 33,
  anon_sym_PIPE_GT_GT = 34,
  anon_sym_PIPE_GT = 35,
  anon_sym_QMARK = 36,
  anon_sym_Boolean = 37,
  anon_sym_Integer = 38,
  anon_sym_Float = 39,
  anon_sym_String = 40,
  anon_sym_Array = 41,
  anon_sym_Hash = 42,
  anon_sym_Regexp = 43,
  anon_sym_Variant = 44,
  anon_sym_Data = 45,
  anon_sym_Undef = 46,
  anon_sym_Default = 47,
  anon_sym_File = 48,
  anon_sym_LBRACK = 49,
  anon_sym_RBRACK = 50,
  anon_sym_EQ_EQ = 51,
  anon_sym_BANG_EQ = 52,
  anon_sym_BANG = 53,
  anon_sym_DASH = 54,
  anon_sym_STAR = 55,
  anon_sym_or = 56,
  anon_sym_and = 57,
  anon_sym_GT = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_LT_EQ = 60,
  anon_sym_LT = 61,
  anon_sym_LT_LT = 62,
  anon_sym_PLUS = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_EQ_TILDE = 66,
  anon_sym_BANG_TILDE = 67,
  anon_sym_in = 68,
  anon_sym_DOT = 69,
  anon_sym_DOLLAR = 70,
  sym_number = 71,
  sym_float = 72,
  anon_sym_DQUOTE = 73,
  anon_sym_SQUOTE = 74,
  sym__double_string_content = 75,
  sym__single_string_content = 76,
  aux_sym__escape_sequence_token1 = 77,
  sym_escape_sequence = 78,
  anon_sym_DOLLAR_LBRACE = 79,
  sym_regex = 80,
  anon_sym_true = 81,
  anon_sym_false = 82,
  sym_undef = 83,
  anon_sym_COLON_COLON = 84,
  sym_identifier = 85,
  sym_comment = 86,
  sym_source_file = 87,
  sym_statement = 88,
  sym_block = 89,
  sym_class_definition = 90,
  sym_parameter_list = 91,
  sym_parameter = 92,
  sym_class_inherits = 93,
  sym_node_definition = 94,
  sym_node_name = 95,
  sym_defined_resource_type = 96,
  sym_type_declaration = 97,
  sym_assignment = 98,
  sym_relation = 99,
  sym_lambda = 100,
  sym_function_declaration = 101,
  sym_resource_declaration = 102,
  sym__resource_block = 103,
  sym_attribute = 104,
  sym_require_statement = 105,
  sym_include_statement = 106,
  sym_tag_statement = 107,
  sym_if_statement = 108,
  sym_elsif_statement = 109,
  sym_else_statement = 110,
  sym_unless_statement = 111,
  sym_case_statement = 112,
  sym_case_item = 113,
  sym_default_case = 114,
  sym_iterator_statement = 115,
  sym_resource_collector = 116,
  sym_resource_default = 117,
  sym_selector = 118,
  sym_type = 119,
  sym_builtin_type = 120,
  sym_composite_type = 121,
  sym_attribute_type = 122,
  sym_attribute_type_entry = 123,
  sym_array_type = 124,
  sym_search_expression = 125,
  sym_expression = 126,
  sym_unary_expression = 127,
  sym_binary_expression = 128,
  sym_parenthesized_expression = 129,
  sym_function_call = 130,
  sym_field_expression = 131,
  sym_variable = 132,
  sym_array = 133,
  sym_hash = 134,
  sym_literal = 135,
  sym_resource_reference = 136,
  sym_string = 137,
  sym__escape_sequence = 138,
  sym_interpolation = 139,
  sym_boolean = 140,
  sym_default = 141,
  sym__identifier = 142,
  sym_class_identifier = 143,
  aux_sym_source_file_repeat1 = 144,
  aux_sym_parameter_list_repeat1 = 145,
  aux_sym_node_definition_repeat1 = 146,
  aux_sym_lambda_repeat1 = 147,
  aux_sym_resource_declaration_repeat1 = 148,
  aux_sym__resource_block_repeat1 = 149,
  aux_sym_include_statement_repeat1 = 150,
  aux_sym_tag_statement_repeat1 = 151,
  aux_sym_if_statement_repeat1 = 152,
  aux_sym_case_statement_repeat1 = 153,
  aux_sym_case_item_repeat1 = 154,
  aux_sym_composite_type_repeat1 = 155,
  aux_sym_attribute_type_repeat1 = 156,
  aux_sym_array_type_repeat1 = 157,
  aux_sym_resource_reference_repeat1 = 158,
  aux_sym_string_repeat1 = 159,
  aux_sym_string_repeat2 = 160,
  aux_sym_class_identifier_repeat1 = 161,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_class] = "class",
  [anon_sym_LPAREN] = "(",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_EQ] = "=",
  [anon_sym_inherits] = "inherits",
  [anon_sym_node] = "node",
  [anon_sym_define] = "define",
  [anon_sym_type] = "type",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_TILDE_GT] = "~>",
  [anon_sym_PIPE] = "|",
  [anon_sym_function] = "function",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AT] = "@",
  [anon_sym_AT_AT] = "@@",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_require] = "require",
  [anon_sym_include] = "include",
  [anon_sym_tag] = "tag",
  [anon_sym_if] = "if",
  [anon_sym_elsif] = "elsif",
  [anon_sym_else] = "else",
  [anon_sym_unless] = "unless",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_LT_LT_PIPE] = "<<|",
  [anon_sym_LT_PIPE] = "<|",
  [anon_sym_PIPE_GT_GT] = "|>>",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_QMARK] = "\?",
  [anon_sym_Boolean] = "Boolean",
  [anon_sym_Integer] = "Integer",
  [anon_sym_Float] = "Float",
  [anon_sym_String] = "String",
  [anon_sym_Array] = "Array",
  [anon_sym_Hash] = "Hash",
  [anon_sym_Regexp] = "Regexp",
  [anon_sym_Variant] = "Variant",
  [anon_sym_Data] = "Data",
  [anon_sym_Undef] = "Undef",
  [anon_sym_Default] = "Default",
  [anon_sym_File] = "File",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_PLUS] = "+",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_in] = "in",
  [anon_sym_DOT] = ".",
  [anon_sym_DOLLAR] = "$",
  [sym_number] = "number",
  [sym_float] = "float",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym__double_string_content] = "string_content",
  [sym__single_string_content] = "string_content",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [sym_regex] = "regex",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_undef] = "undef",
  [anon_sym_COLON_COLON] = "::",
  [sym_identifier] = "identifier",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_class_definition] = "class_definition",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter] = "parameter",
  [sym_class_inherits] = "class_inherits",
  [sym_node_definition] = "node_definition",
  [sym_node_name] = "node_name",
  [sym_defined_resource_type] = "defined_resource_type",
  [sym_type_declaration] = "type_declaration",
  [sym_assignment] = "assignment",
  [sym_relation] = "relation",
  [sym_lambda] = "lambda",
  [sym_function_declaration] = "function_declaration",
  [sym_resource_declaration] = "resource_declaration",
  [sym__resource_block] = "_resource_block",
  [sym_attribute] = "attribute",
  [sym_require_statement] = "require_statement",
  [sym_include_statement] = "include_statement",
  [sym_tag_statement] = "tag_statement",
  [sym_if_statement] = "if_statement",
  [sym_elsif_statement] = "elsif_statement",
  [sym_else_statement] = "else_statement",
  [sym_unless_statement] = "unless_statement",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_default_case] = "default_case",
  [sym_iterator_statement] = "iterator_statement",
  [sym_resource_collector] = "resource_collector",
  [sym_resource_default] = "resource_default",
  [sym_selector] = "selector",
  [sym_type] = "type",
  [sym_builtin_type] = "builtin_type",
  [sym_composite_type] = "composite_type",
  [sym_attribute_type] = "attribute_type",
  [sym_attribute_type_entry] = "attribute_type_entry",
  [sym_array_type] = "array_type",
  [sym_search_expression] = "search_expression",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_function_call] = "function_call",
  [sym_field_expression] = "field_expression",
  [sym_variable] = "variable",
  [sym_array] = "array",
  [sym_hash] = "hash",
  [sym_literal] = "literal",
  [sym_resource_reference] = "resource_reference",
  [sym_string] = "string",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_interpolation] = "interpolation",
  [sym_boolean] = "boolean",
  [sym_default] = "default",
  [sym__identifier] = "_identifier",
  [sym_class_identifier] = "class_identifier",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_node_definition_repeat1] = "node_definition_repeat1",
  [aux_sym_lambda_repeat1] = "lambda_repeat1",
  [aux_sym_resource_declaration_repeat1] = "resource_declaration_repeat1",
  [aux_sym__resource_block_repeat1] = "_resource_block_repeat1",
  [aux_sym_include_statement_repeat1] = "include_statement_repeat1",
  [aux_sym_tag_statement_repeat1] = "tag_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_composite_type_repeat1] = "composite_type_repeat1",
  [aux_sym_attribute_type_repeat1] = "attribute_type_repeat1",
  [aux_sym_array_type_repeat1] = "array_type_repeat1",
  [aux_sym_resource_reference_repeat1] = "resource_reference_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_class_identifier_repeat1] = "class_identifier_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_inherits] = anon_sym_inherits,
  [anon_sym_node] = anon_sym_node,
  [anon_sym_define] = anon_sym_define,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_TILDE_GT] = anon_sym_TILDE_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_AT_AT] = anon_sym_AT_AT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_tag] = anon_sym_tag,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elsif] = anon_sym_elsif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_unless] = anon_sym_unless,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LT_LT_PIPE] = anon_sym_LT_LT_PIPE,
  [anon_sym_LT_PIPE] = anon_sym_LT_PIPE,
  [anon_sym_PIPE_GT_GT] = anon_sym_PIPE_GT_GT,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_Boolean] = anon_sym_Boolean,
  [anon_sym_Integer] = anon_sym_Integer,
  [anon_sym_Float] = anon_sym_Float,
  [anon_sym_String] = anon_sym_String,
  [anon_sym_Array] = anon_sym_Array,
  [anon_sym_Hash] = anon_sym_Hash,
  [anon_sym_Regexp] = anon_sym_Regexp,
  [anon_sym_Variant] = anon_sym_Variant,
  [anon_sym_Data] = anon_sym_Data,
  [anon_sym_Undef] = anon_sym_Undef,
  [anon_sym_Default] = anon_sym_Default,
  [anon_sym_File] = anon_sym_File,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym_number] = sym_number,
  [sym_float] = sym_float,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym__double_string_content] = sym__double_string_content,
  [sym__single_string_content] = sym__double_string_content,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [sym_regex] = sym_regex,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_undef] = sym_undef,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [sym_identifier] = sym_identifier,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_class_definition] = sym_class_definition,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter] = sym_parameter,
  [sym_class_inherits] = sym_class_inherits,
  [sym_node_definition] = sym_node_definition,
  [sym_node_name] = sym_node_name,
  [sym_defined_resource_type] = sym_defined_resource_type,
  [sym_type_declaration] = sym_type_declaration,
  [sym_assignment] = sym_assignment,
  [sym_relation] = sym_relation,
  [sym_lambda] = sym_lambda,
  [sym_function_declaration] = sym_function_declaration,
  [sym_resource_declaration] = sym_resource_declaration,
  [sym__resource_block] = sym__resource_block,
  [sym_attribute] = sym_attribute,
  [sym_require_statement] = sym_require_statement,
  [sym_include_statement] = sym_include_statement,
  [sym_tag_statement] = sym_tag_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elsif_statement] = sym_elsif_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_unless_statement] = sym_unless_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_default_case] = sym_default_case,
  [sym_iterator_statement] = sym_iterator_statement,
  [sym_resource_collector] = sym_resource_collector,
  [sym_resource_default] = sym_resource_default,
  [sym_selector] = sym_selector,
  [sym_type] = sym_type,
  [sym_builtin_type] = sym_builtin_type,
  [sym_composite_type] = sym_composite_type,
  [sym_attribute_type] = sym_attribute_type,
  [sym_attribute_type_entry] = sym_attribute_type_entry,
  [sym_array_type] = sym_array_type,
  [sym_search_expression] = sym_search_expression,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_function_call] = sym_function_call,
  [sym_field_expression] = sym_field_expression,
  [sym_variable] = sym_variable,
  [sym_array] = sym_array,
  [sym_hash] = sym_hash,
  [sym_literal] = sym_literal,
  [sym_resource_reference] = sym_resource_reference,
  [sym_string] = sym_string,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_interpolation] = sym_interpolation,
  [sym_boolean] = sym_boolean,
  [sym_default] = sym_default,
  [sym__identifier] = sym__identifier,
  [sym_class_identifier] = sym_class_identifier,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_node_definition_repeat1] = aux_sym_node_definition_repeat1,
  [aux_sym_lambda_repeat1] = aux_sym_lambda_repeat1,
  [aux_sym_resource_declaration_repeat1] = aux_sym_resource_declaration_repeat1,
  [aux_sym__resource_block_repeat1] = aux_sym__resource_block_repeat1,
  [aux_sym_include_statement_repeat1] = aux_sym_include_statement_repeat1,
  [aux_sym_tag_statement_repeat1] = aux_sym_tag_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_composite_type_repeat1] = aux_sym_composite_type_repeat1,
  [aux_sym_attribute_type_repeat1] = aux_sym_attribute_type_repeat1,
  [aux_sym_array_type_repeat1] = aux_sym_array_type_repeat1,
  [aux_sym_resource_reference_repeat1] = aux_sym_resource_reference_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_class_identifier_repeat1] = aux_sym_class_identifier_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_node] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_define] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tag] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elsif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unless] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Integer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_String] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Array] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Hash] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Regexp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Variant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Data] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Undef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_File] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__double_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym__single_string_content] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_undef] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_class_inherits] = {
    .visible = true,
    .named = true,
  },
  [sym_node_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_node_name] = {
    .visible = true,
    .named = true,
  },
  [sym_defined_resource_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_relation] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__resource_block] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_require_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elsif_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unless_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_iterator_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_collector] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_default] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_type] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_type] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_type_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_search_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_resource_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_default] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_class_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_node_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__resource_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_include_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_composite_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_exported = 2,
  field_iterator = 3,
  field_left = 4,
  field_name = 5,
  field_operator = 6,
  field_right = 7,
  field_title = 8,
  field_type = 9,
  field_value = 10,
  field_virtual = 11,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_exported] = "exported",
  [field_iterator] = "iterator",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_title] = "title",
  [field_type] = "type",
  [field_value] = "value",
  [field_virtual] = "virtual",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 3},
  [3] = {.index = 5, .length = 1},
  [4] = {.index = 6, .length = 2},
  [5] = {.index = 8, .length = 1},
  [6] = {.index = 9, .length = 2},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 3},
  [9] = {.index = 15, .length = 3},
  [10] = {.index = 18, .length = 1},
  [11] = {.index = 19, .length = 3},
  [12] = {.index = 22, .length = 2},
  [13] = {.index = 24, .length = 4},
  [14] = {.index = 28, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_argument, 1},
    {field_operator, 0},
  [2] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [5] =
    {field_type, 0},
  [6] =
    {field_name, 0},
    {field_value, 2},
  [8] =
    {field_iterator, 0},
  [9] =
    {field_title, 2, .inherited = true},
    {field_type, 0},
  [11] =
    {field_title, 0},
  [12] =
    {field_title, 3, .inherited = true},
    {field_type, 1},
    {field_virtual, 0},
  [15] =
    {field_exported, 0},
    {field_title, 3, .inherited = true},
    {field_type, 1},
  [18] =
    {field_title, 1, .inherited = true},
  [19] =
    {field_title, 2, .inherited = true},
    {field_title, 3, .inherited = true},
    {field_type, 0},
  [22] =
    {field_title, 0, .inherited = true},
    {field_title, 1, .inherited = true},
  [24] =
    {field_title, 3, .inherited = true},
    {field_title, 4, .inherited = true},
    {field_type, 1},
    {field_virtual, 0},
  [28] =
    {field_exported, 0},
    {field_title, 3, .inherited = true},
    {field_title, 4, .inherited = true},
    {field_type, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 5,
  [7] = 5,
  [8] = 5,
  [9] = 3,
  [10] = 3,
  [11] = 3,
  [12] = 5,
  [13] = 3,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 25,
  [33] = 33,
  [34] = 34,
  [35] = 26,
  [36] = 36,
  [37] = 37,
  [38] = 24,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 23,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 49,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 15,
  [88] = 16,
  [89] = 17,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 22,
  [110] = 110,
  [111] = 111,
  [112] = 43,
  [113] = 41,
  [114] = 15,
  [115] = 16,
  [116] = 17,
  [117] = 18,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 20,
  [123] = 123,
  [124] = 18,
  [125] = 125,
  [126] = 22,
  [127] = 71,
  [128] = 19,
  [129] = 129,
  [130] = 21,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 41,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 19,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 43,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 187,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 191,
  [194] = 194,
  [195] = 187,
  [196] = 196,
  [197] = 192,
  [198] = 191,
  [199] = 194,
  [200] = 187,
  [201] = 201,
  [202] = 202,
  [203] = 191,
  [204] = 194,
  [205] = 187,
  [206] = 189,
  [207] = 194,
  [208] = 191,
  [209] = 194,
  [210] = 190,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 23,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 72,
  [220] = 212,
  [221] = 73,
  [222] = 222,
  [223] = 49,
  [224] = 224,
  [225] = 25,
  [226] = 211,
  [227] = 26,
  [228] = 24,
  [229] = 229,
  [230] = 230,
  [231] = 43,
  [232] = 232,
  [233] = 41,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 234,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 239,
  [244] = 240,
  [245] = 213,
  [246] = 214,
  [247] = 222,
  [248] = 224,
  [249] = 211,
  [250] = 250,
  [251] = 237,
  [252] = 235,
  [253] = 217,
  [254] = 250,
  [255] = 234,
  [256] = 239,
  [257] = 240,
  [258] = 213,
  [259] = 214,
  [260] = 222,
  [261] = 224,
  [262] = 250,
  [263] = 217,
  [264] = 218,
  [265] = 234,
  [266] = 239,
  [267] = 240,
  [268] = 213,
  [269] = 214,
  [270] = 222,
  [271] = 224,
  [272] = 211,
  [273] = 217,
  [274] = 218,
  [275] = 218,
  [276] = 29,
  [277] = 30,
  [278] = 77,
  [279] = 21,
  [280] = 55,
  [281] = 20,
  [282] = 42,
  [283] = 74,
  [284] = 48,
  [285] = 47,
  [286] = 71,
  [287] = 36,
  [288] = 31,
  [289] = 37,
  [290] = 82,
  [291] = 46,
  [292] = 45,
  [293] = 39,
  [294] = 40,
  [295] = 58,
  [296] = 56,
  [297] = 69,
  [298] = 68,
  [299] = 33,
  [300] = 34,
  [301] = 57,
  [302] = 59,
  [303] = 64,
  [304] = 65,
  [305] = 63,
  [306] = 67,
  [307] = 66,
  [308] = 62,
  [309] = 61,
  [310] = 310,
  [311] = 60,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 26,
  [323] = 24,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 23,
  [328] = 25,
  [329] = 24,
  [330] = 23,
  [331] = 26,
  [332] = 25,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 333,
  [338] = 338,
  [339] = 336,
  [340] = 336,
  [341] = 336,
  [342] = 336,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 348,
  [351] = 349,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 59,
  [358] = 60,
  [359] = 61,
  [360] = 354,
  [361] = 63,
  [362] = 62,
  [363] = 65,
  [364] = 64,
  [365] = 354,
  [366] = 76,
  [367] = 66,
  [368] = 67,
  [369] = 369,
  [370] = 57,
  [371] = 371,
  [372] = 57,
  [373] = 59,
  [374] = 60,
  [375] = 61,
  [376] = 62,
  [377] = 63,
  [378] = 64,
  [379] = 65,
  [380] = 66,
  [381] = 67,
  [382] = 382,
  [383] = 43,
  [384] = 384,
  [385] = 41,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 22,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 392,
  [399] = 399,
  [400] = 400,
  [401] = 394,
  [402] = 402,
  [403] = 403,
  [404] = 400,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 392,
  [409] = 400,
  [410] = 410,
  [411] = 405,
  [412] = 407,
  [413] = 413,
  [414] = 15,
  [415] = 16,
  [416] = 17,
  [417] = 417,
  [418] = 129,
  [419] = 22,
  [420] = 420,
  [421] = 18,
  [422] = 422,
  [423] = 83,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 84,
  [428] = 425,
  [429] = 426,
  [430] = 425,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 426,
  [435] = 19,
  [436] = 436,
  [437] = 437,
  [438] = 433,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 441,
  [444] = 15,
  [445] = 85,
  [446] = 16,
  [447] = 441,
  [448] = 441,
  [449] = 449,
  [450] = 17,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 454,
  [459] = 459,
  [460] = 22,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 18,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 453,
  [474] = 474,
  [475] = 55,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 101,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 484,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 492,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 492,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 492,
  [509] = 491,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 481,
  [521] = 521,
  [522] = 522,
  [523] = 489,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 488,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 524,
  [536] = 495,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 522,
  [541] = 541,
  [542] = 542,
  [543] = 492,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 547,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 546,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 566,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 578,
  [583] = 578,
  [584] = 584,
  [585] = 584,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 578,
  [590] = 590,
  [591] = 584,
  [592] = 592,
  [593] = 593,
  [594] = 590,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 590,
  [599] = 599,
  [600] = 584,
  [601] = 578,
  [602] = 590,
  [603] = 584,
  [604] = 590,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 125,
        '"', 160,
        '#', 313,
        '$', 152,
        '%', 145,
        '\'', 161,
        '(', 67,
        ')', 69,
        '*', 129,
        '+', 142,
        ',', 68,
        '-', 127,
        '.', 150,
        '/', 144,
        '0', 154,
        ':', 89,
        ';', 87,
        '<', 137,
        '=', 72,
        '>', 134,
        '?', 106,
        '@', 85,
        'A', 285,
        'B', 272,
        'D', 190,
        'F', 248,
        'H', 187,
        'I', 267,
        'R', 211,
        'S', 300,
        'U', 261,
        'V', 196,
        '[', 119,
        '\\', 29,
        ']', 120,
        'a', 266,
        'c', 191,
        'd', 224,
        'e', 254,
        'f', 199,
        'i', 233,
        'n', 275,
        'o', 280,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 82,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 123,
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        '(', 67,
        ')', 69,
        '*', 129,
        '-', 128,
        '/', 17,
        '0', 154,
        '[', 119,
        ']', 120,
        'f', 200,
        't', 281,
        'u', 271,
        '{', 64,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 123,
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        '(', 67,
        '*', 129,
        '-', 128,
        '/', 17,
        '0', 154,
        '=', 25,
        '[', 119,
        'd', 232,
        'f', 200,
        't', 281,
        'u', 271,
        '{', 64,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 123,
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        '(', 67,
        '*', 129,
        '-', 128,
        '/', 17,
        '0', 154,
        '[', 119,
        'f', 200,
        'i', 235,
        't', 281,
        'u', 271,
        '{', 64,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 23,
        '#', 313,
        '%', 145,
        '(', 67,
        ')', 69,
        '*', 129,
        '+', 142,
        ',', 68,
        '-', 126,
        '.', 150,
        '/', 143,
        ':', 89,
        ';', 87,
        '<', 138,
        '=', 72,
        '>', 134,
        '?', 106,
        '[', 119,
        ']', 120,
        'a', 37,
        'e', 36,
        'i', 38,
        'o', 40,
        '{', 64,
        '|', 81,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 23,
        '#', 313,
        '%', 145,
        '(', 67,
        ')', 69,
        '*', 129,
        '+', 142,
        ',', 68,
        '-', 126,
        '.', 150,
        '/', 143,
        ':', 88,
        ';', 87,
        '<', 138,
        '=', 73,
        '>', 134,
        '?', 106,
        '[', 119,
        ']', 120,
        'a', 37,
        'i', 38,
        'o', 40,
        '{', 64,
        '|', 82,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 23,
        '#', 313,
        '%', 145,
        '(', 67,
        ')', 69,
        '*', 129,
        '+', 141,
        ',', 68,
        '-', 126,
        '.', 150,
        '/', 143,
        ':', 89,
        ';', 87,
        '<', 138,
        '=', 24,
        '>', 134,
        '?', 106,
        '[', 119,
        ']', 120,
        'a', 37,
        'i', 38,
        'o', 40,
        '{', 64,
        '|', 81,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        '(', 67,
        '/', 17,
        '0', 155,
        ':', 22,
        ';', 87,
        '|', 27,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(156);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        ')', 69,
        '/', 16,
        '0', 155,
        'A', 285,
        'B', 272,
        'D', 190,
        'F', 248,
        'H', 187,
        'I', 267,
        'R', 211,
        'S', 300,
        'U', 261,
        'V', 196,
        '[', 119,
        ']', 120,
        '{', 64,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(156);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '#') ADVANCE(313);
      if (lookahead == '\'') ADVANCE(161);
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == 'd') ADVANCE(232);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '$') ADVANCE(152);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead == ':') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(29);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '#', 313,
        '$', 151,
        '/', 16,
        '0', 155,
        'A', 285,
        'B', 272,
        'D', 190,
        'F', 248,
        'H', 187,
        'I', 267,
        'R', 211,
        'S', 300,
        'U', 261,
        'V', 196,
        '[', 119,
        ']', 120,
        'd', 232,
        '{', 64,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(156);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '#', 313,
        '(', 67,
        '/', 16,
        ':', 22,
        '>', 26,
        'e', 36,
        'i', 39,
        '{', 64,
        '}', 65,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(161);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '\\') ADVANCE(29);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 14:
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(312);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(14);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(15);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(15);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 18:
      if (lookahead == '-') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '/') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 21:
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 22:
      if (lookahead == ':') ADVANCE(186);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '~') ADVANCE(147);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead == '~') ADVANCE(146);
      END_STATE();
    case 25:
      if (lookahead == '>') ADVANCE(90);
      END_STATE();
    case 26:
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == '>') ADVANCE(105);
      END_STATE();
    case 28:
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 29:
      if (lookahead == 'U') ADVANCE(177);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'x') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(178);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 30:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(97);
      if (lookahead == 'i') ADVANCE(33);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(95);
      END_STATE();
    case 34:
      if (lookahead == 'h') ADVANCE(32);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(44);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(30);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 39:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == '{') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 46:
      if (lookahead == '}') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(178);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(157);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 57:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 125,
        '"', 160,
        '#', 313,
        '$', 152,
        '%', 145,
        '\'', 161,
        '(', 67,
        ')', 69,
        '*', 129,
        '+', 142,
        ',', 68,
        '-', 127,
        '.', 150,
        '/', 144,
        '0', 154,
        ':', 89,
        ';', 87,
        '<', 137,
        '=', 72,
        '>', 134,
        '?', 106,
        '@', 85,
        'A', 285,
        'B', 272,
        'D', 190,
        'F', 248,
        'H', 187,
        'I', 267,
        'R', 211,
        'S', 300,
        'U', 261,
        'V', 196,
        '[', 119,
        ']', 120,
        'a', 266,
        'c', 191,
        'd', 224,
        'e', 254,
        'f', 199,
        'i', 233,
        'n', 275,
        'o', 280,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 82,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 58:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 125,
        '"', 160,
        '#', 313,
        '$', 151,
        '%', 145,
        '\'', 161,
        '(', 67,
        ')', 69,
        '*', 129,
        '+', 142,
        ',', 68,
        '-', 127,
        '.', 150,
        '/', 144,
        '0', 154,
        ':', 22,
        '<', 137,
        '=', 72,
        '>', 134,
        '?', 106,
        '@', 85,
        '[', 119,
        ']', 120,
        'a', 266,
        'c', 191,
        'd', 227,
        'f', 199,
        'i', 233,
        'n', 275,
        'o', 280,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 81,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 59:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 125,
        '"', 160,
        '#', 313,
        '$', 151,
        '%', 145,
        '\'', 161,
        '(', 67,
        '*', 129,
        '+', 142,
        ',', 68,
        '-', 127,
        '.', 150,
        '/', 144,
        '0', 154,
        ':', 22,
        '<', 138,
        '=', 73,
        '>', 134,
        '?', 106,
        '@', 85,
        '[', 119,
        'a', 266,
        'c', 191,
        'd', 227,
        'f', 199,
        'i', 233,
        'n', 275,
        'o', 280,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 81,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 60:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 125,
        '"', 160,
        '#', 313,
        '$', 151,
        '%', 145,
        '\'', 161,
        '(', 67,
        '*', 129,
        '+', 141,
        ',', 68,
        '-', 127,
        '.', 150,
        '/', 144,
        '0', 154,
        '<', 138,
        '=', 24,
        '>', 134,
        '?', 106,
        '@', 85,
        '[', 119,
        ']', 120,
        'a', 266,
        'c', 191,
        'd', 227,
        'f', 199,
        'i', 233,
        'n', 275,
        'o', 280,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 82,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 61:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 124,
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        '(', 67,
        ')', 69,
        '*', 129,
        ',', 68,
        '-', 127,
        '/', 17,
        '0', 154,
        ':', 89,
        ';', 87,
        '=', 71,
        '>', 26,
        '?', 106,
        '@', 85,
        '[', 119,
        ']', 120,
        'c', 191,
        'd', 227,
        'f', 199,
        'i', 234,
        'n', 275,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 81,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 62:
      if (eof) ADVANCE(63);
      ADVANCE_MAP(
        '!', 123,
        '"', 160,
        '#', 313,
        '$', 151,
        '\'', 161,
        '(', 67,
        ')', 69,
        '*', 129,
        ',', 68,
        '-', 127,
        '/', 17,
        '0', 154,
        '=', 70,
        '@', 85,
        '[', 119,
        'c', 191,
        'd', 227,
        'e', 254,
        'f', 199,
        'i', 234,
        'n', 275,
        'r', 212,
        't', 192,
        'u', 262,
        '{', 64,
        '|', 27,
        '}', 65,
        '~', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_class);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(90);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead == '~') ADVANCE(146);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '~') ADVANCE(146);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_inherits);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_node);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_define);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_type);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_TILDE_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(105);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_function);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '@') ADVANCE(86);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_AT_AT);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(186);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_require);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_include);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_tag);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_elsif);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_elsif);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_unless);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_default);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT_PIPE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE_GT_GT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      if (lookahead == '>') ADVANCE(104);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_Boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_Integer);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_Float);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_String);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_Array);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_Hash);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_Regexp);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_Variant);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_Data);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_Undef);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_Default);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_File);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '~') ADVANCE(147);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(19);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(19);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_or);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_and);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(140);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '|') ADVANCE(103);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(139);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '|') ADVANCE(102);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(20);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '{') ADVANCE(180);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(158);
      if (lookahead == '_') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(158);
      if (lookahead == 'x') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(19);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'x') ADVANCE(49);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(157);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'e') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead == ':') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead == ':') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__double_string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__single_string_content);
      if (lookahead == '#') ADVANCE(173);
      if (lookahead == '/') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__single_string_content);
      if (lookahead == '*') ADVANCE(170);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__single_string_content);
      if (lookahead == '*') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__single_string_content);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__single_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__single_string_content);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(179);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(178);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_regex);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '/') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_undef);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(310);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(243);
      if (lookahead == 'r') ADVANCE(306);
      if (lookahead == 'y') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(305);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(296);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(292);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(264);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(260);
      if (lookahead == 'u') ADVANCE(263);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(307);
      if (lookahead == 'i') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(302);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(226);
      if (lookahead == 'l') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(309);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(98);
      if (lookahead == 'i') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(294);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(255);
      if (lookahead == 'l') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(274);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(308);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(295);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(265);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'q') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(306);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(291);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(277);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(311);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(313);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 61},
  [2] = {.lex_state = 61},
  [3] = {.lex_state = 61},
  [4] = {.lex_state = 61},
  [5] = {.lex_state = 61},
  [6] = {.lex_state = 61},
  [7] = {.lex_state = 61},
  [8] = {.lex_state = 61},
  [9] = {.lex_state = 61},
  [10] = {.lex_state = 61},
  [11] = {.lex_state = 61},
  [12] = {.lex_state = 61},
  [13] = {.lex_state = 61},
  [14] = {.lex_state = 61},
  [15] = {.lex_state = 58},
  [16] = {.lex_state = 58},
  [17] = {.lex_state = 58},
  [18] = {.lex_state = 58},
  [19] = {.lex_state = 58},
  [20] = {.lex_state = 60},
  [21] = {.lex_state = 60},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 58},
  [24] = {.lex_state = 58},
  [25] = {.lex_state = 58},
  [26] = {.lex_state = 58},
  [27] = {.lex_state = 59},
  [28] = {.lex_state = 58},
  [29] = {.lex_state = 60},
  [30] = {.lex_state = 60},
  [31] = {.lex_state = 58},
  [32] = {.lex_state = 58},
  [33] = {.lex_state = 58},
  [34] = {.lex_state = 58},
  [35] = {.lex_state = 58},
  [36] = {.lex_state = 58},
  [37] = {.lex_state = 58},
  [38] = {.lex_state = 58},
  [39] = {.lex_state = 58},
  [40] = {.lex_state = 58},
  [41] = {.lex_state = 58},
  [42] = {.lex_state = 58},
  [43] = {.lex_state = 58},
  [44] = {.lex_state = 58},
  [45] = {.lex_state = 58},
  [46] = {.lex_state = 58},
  [47] = {.lex_state = 58},
  [48] = {.lex_state = 58},
  [49] = {.lex_state = 58},
  [50] = {.lex_state = 58},
  [51] = {.lex_state = 58},
  [52] = {.lex_state = 58},
  [53] = {.lex_state = 58},
  [54] = {.lex_state = 58},
  [55] = {.lex_state = 58},
  [56] = {.lex_state = 58},
  [57] = {.lex_state = 58},
  [58] = {.lex_state = 58},
  [59] = {.lex_state = 58},
  [60] = {.lex_state = 58},
  [61] = {.lex_state = 58},
  [62] = {.lex_state = 58},
  [63] = {.lex_state = 58},
  [64] = {.lex_state = 58},
  [65] = {.lex_state = 58},
  [66] = {.lex_state = 58},
  [67] = {.lex_state = 58},
  [68] = {.lex_state = 58},
  [69] = {.lex_state = 58},
  [70] = {.lex_state = 58},
  [71] = {.lex_state = 58},
  [72] = {.lex_state = 58},
  [73] = {.lex_state = 58},
  [74] = {.lex_state = 58},
  [75] = {.lex_state = 58},
  [76] = {.lex_state = 58},
  [77] = {.lex_state = 58},
  [78] = {.lex_state = 58},
  [79] = {.lex_state = 58},
  [80] = {.lex_state = 58},
  [81] = {.lex_state = 58},
  [82] = {.lex_state = 58},
  [83] = {.lex_state = 62},
  [84] = {.lex_state = 62},
  [85] = {.lex_state = 62},
  [86] = {.lex_state = 2},
  [87] = {.lex_state = 61},
  [88] = {.lex_state = 61},
  [89] = {.lex_state = 61},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 61},
  [92] = {.lex_state = 61},
  [93] = {.lex_state = 61},
  [94] = {.lex_state = 61},
  [95] = {.lex_state = 61},
  [96] = {.lex_state = 61},
  [97] = {.lex_state = 2},
  [98] = {.lex_state = 61},
  [99] = {.lex_state = 61},
  [100] = {.lex_state = 61},
  [101] = {.lex_state = 62},
  [102] = {.lex_state = 61},
  [103] = {.lex_state = 61},
  [104] = {.lex_state = 61},
  [105] = {.lex_state = 61},
  [106] = {.lex_state = 61},
  [107] = {.lex_state = 61},
  [108] = {.lex_state = 61},
  [109] = {.lex_state = 61},
  [110] = {.lex_state = 61},
  [111] = {.lex_state = 61},
  [112] = {.lex_state = 62},
  [113] = {.lex_state = 62},
  [114] = {.lex_state = 4},
  [115] = {.lex_state = 4},
  [116] = {.lex_state = 4},
  [117] = {.lex_state = 61},
  [118] = {.lex_state = 61},
  [119] = {.lex_state = 61},
  [120] = {.lex_state = 61},
  [121] = {.lex_state = 61},
  [122] = {.lex_state = 61},
  [123] = {.lex_state = 61},
  [124] = {.lex_state = 4},
  [125] = {.lex_state = 61},
  [126] = {.lex_state = 4},
  [127] = {.lex_state = 61},
  [128] = {.lex_state = 61},
  [129] = {.lex_state = 61},
  [130] = {.lex_state = 61},
  [131] = {.lex_state = 1},
  [132] = {.lex_state = 61},
  [133] = {.lex_state = 1},
  [134] = {.lex_state = 61},
  [135] = {.lex_state = 61},
  [136] = {.lex_state = 61},
  [137] = {.lex_state = 61},
  [138] = {.lex_state = 61},
  [139] = {.lex_state = 61},
  [140] = {.lex_state = 61},
  [141] = {.lex_state = 61},
  [142] = {.lex_state = 61},
  [143] = {.lex_state = 61},
  [144] = {.lex_state = 1},
  [145] = {.lex_state = 61},
  [146] = {.lex_state = 61},
  [147] = {.lex_state = 61},
  [148] = {.lex_state = 61},
  [149] = {.lex_state = 61},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 61},
  [152] = {.lex_state = 61},
  [153] = {.lex_state = 61},
  [154] = {.lex_state = 61},
  [155] = {.lex_state = 61},
  [156] = {.lex_state = 61},
  [157] = {.lex_state = 4},
  [158] = {.lex_state = 1},
  [159] = {.lex_state = 61},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 61},
  [162] = {.lex_state = 61},
  [163] = {.lex_state = 61},
  [164] = {.lex_state = 61},
  [165] = {.lex_state = 61},
  [166] = {.lex_state = 61},
  [167] = {.lex_state = 61},
  [168] = {.lex_state = 61},
  [169] = {.lex_state = 61},
  [170] = {.lex_state = 61},
  [171] = {.lex_state = 61},
  [172] = {.lex_state = 61},
  [173] = {.lex_state = 61},
  [174] = {.lex_state = 61},
  [175] = {.lex_state = 1},
  [176] = {.lex_state = 61},
  [177] = {.lex_state = 61},
  [178] = {.lex_state = 3},
  [179] = {.lex_state = 61},
  [180] = {.lex_state = 61},
  [181] = {.lex_state = 61},
  [182] = {.lex_state = 61},
  [183] = {.lex_state = 61},
  [184] = {.lex_state = 61},
  [185] = {.lex_state = 61},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 1},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1},
  [201] = {.lex_state = 1},
  [202] = {.lex_state = 1},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 1},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 1},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 1},
  [215] = {.lex_state = 4},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 5},
  [220] = {.lex_state = 1},
  [221] = {.lex_state = 5},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 4},
  [224] = {.lex_state = 1},
  [225] = {.lex_state = 4},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 4},
  [228] = {.lex_state = 4},
  [229] = {.lex_state = 1},
  [230] = {.lex_state = 1},
  [231] = {.lex_state = 4},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 4},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 1},
  [236] = {.lex_state = 1},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 1},
  [239] = {.lex_state = 1},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 1},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 1},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 1},
  [246] = {.lex_state = 1},
  [247] = {.lex_state = 1},
  [248] = {.lex_state = 1},
  [249] = {.lex_state = 1},
  [250] = {.lex_state = 1},
  [251] = {.lex_state = 1},
  [252] = {.lex_state = 1},
  [253] = {.lex_state = 1},
  [254] = {.lex_state = 1},
  [255] = {.lex_state = 1},
  [256] = {.lex_state = 1},
  [257] = {.lex_state = 1},
  [258] = {.lex_state = 1},
  [259] = {.lex_state = 1},
  [260] = {.lex_state = 1},
  [261] = {.lex_state = 1},
  [262] = {.lex_state = 1},
  [263] = {.lex_state = 1},
  [264] = {.lex_state = 1},
  [265] = {.lex_state = 1},
  [266] = {.lex_state = 1},
  [267] = {.lex_state = 1},
  [268] = {.lex_state = 1},
  [269] = {.lex_state = 1},
  [270] = {.lex_state = 1},
  [271] = {.lex_state = 1},
  [272] = {.lex_state = 1},
  [273] = {.lex_state = 1},
  [274] = {.lex_state = 1},
  [275] = {.lex_state = 1},
  [276] = {.lex_state = 4},
  [277] = {.lex_state = 4},
  [278] = {.lex_state = 4},
  [279] = {.lex_state = 6},
  [280] = {.lex_state = 4},
  [281] = {.lex_state = 6},
  [282] = {.lex_state = 4},
  [283] = {.lex_state = 4},
  [284] = {.lex_state = 4},
  [285] = {.lex_state = 4},
  [286] = {.lex_state = 4},
  [287] = {.lex_state = 4},
  [288] = {.lex_state = 4},
  [289] = {.lex_state = 4},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 5},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 11},
  [313] = {.lex_state = 8},
  [314] = {.lex_state = 8},
  [315] = {.lex_state = 8},
  [316] = {.lex_state = 8},
  [317] = {.lex_state = 8},
  [318] = {.lex_state = 8},
  [319] = {.lex_state = 11},
  [320] = {.lex_state = 8},
  [321] = {.lex_state = 8},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 6},
  [326] = {.lex_state = 8},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 6},
  [335] = {.lex_state = 4},
  [336] = {.lex_state = 4},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 4},
  [341] = {.lex_state = 4},
  [342] = {.lex_state = 4},
  [343] = {.lex_state = 4},
  [344] = {.lex_state = 4},
  [345] = {.lex_state = 8},
  [346] = {.lex_state = 8},
  [347] = {.lex_state = 8},
  [348] = {.lex_state = 4},
  [349] = {.lex_state = 4},
  [350] = {.lex_state = 4},
  [351] = {.lex_state = 4},
  [352] = {.lex_state = 6},
  [353] = {.lex_state = 4},
  [354] = {.lex_state = 4},
  [355] = {.lex_state = 4},
  [356] = {.lex_state = 4},
  [357] = {.lex_state = 4},
  [358] = {.lex_state = 4},
  [359] = {.lex_state = 4},
  [360] = {.lex_state = 4},
  [361] = {.lex_state = 4},
  [362] = {.lex_state = 4},
  [363] = {.lex_state = 4},
  [364] = {.lex_state = 4},
  [365] = {.lex_state = 4},
  [366] = {.lex_state = 4},
  [367] = {.lex_state = 4},
  [368] = {.lex_state = 4},
  [369] = {.lex_state = 4},
  [370] = {.lex_state = 4},
  [371] = {.lex_state = 4},
  [372] = {.lex_state = 4},
  [373] = {.lex_state = 4},
  [374] = {.lex_state = 4},
  [375] = {.lex_state = 4},
  [376] = {.lex_state = 4},
  [377] = {.lex_state = 4},
  [378] = {.lex_state = 4},
  [379] = {.lex_state = 4},
  [380] = {.lex_state = 4},
  [381] = {.lex_state = 4},
  [382] = {.lex_state = 4},
  [383] = {.lex_state = 2},
  [384] = {.lex_state = 2},
  [385] = {.lex_state = 2},
  [386] = {.lex_state = 2},
  [387] = {.lex_state = 1},
  [388] = {.lex_state = 7},
  [389] = {.lex_state = 7},
  [390] = {.lex_state = 7},
  [391] = {.lex_state = 61},
  [392] = {.lex_state = 10},
  [393] = {.lex_state = 7},
  [394] = {.lex_state = 7},
  [395] = {.lex_state = 7},
  [396] = {.lex_state = 7},
  [397] = {.lex_state = 7},
  [398] = {.lex_state = 10},
  [399] = {.lex_state = 10},
  [400] = {.lex_state = 10},
  [401] = {.lex_state = 7},
  [402] = {.lex_state = 7},
  [403] = {.lex_state = 7},
  [404] = {.lex_state = 10},
  [405] = {.lex_state = 7},
  [406] = {.lex_state = 7},
  [407] = {.lex_state = 7},
  [408] = {.lex_state = 10},
  [409] = {.lex_state = 10},
  [410] = {.lex_state = 7},
  [411] = {.lex_state = 7},
  [412] = {.lex_state = 7},
  [413] = {.lex_state = 7},
  [414] = {.lex_state = 10},
  [415] = {.lex_state = 10},
  [416] = {.lex_state = 10},
  [417] = {.lex_state = 9},
  [418] = {.lex_state = 61},
  [419] = {.lex_state = 10},
  [420] = {.lex_state = 9},
  [421] = {.lex_state = 10},
  [422] = {.lex_state = 7},
  [423] = {.lex_state = 12},
  [424] = {.lex_state = 7},
  [425] = {.lex_state = 13},
  [426] = {.lex_state = 13},
  [427] = {.lex_state = 12},
  [428] = {.lex_state = 13},
  [429] = {.lex_state = 13},
  [430] = {.lex_state = 13},
  [431] = {.lex_state = 7},
  [432] = {.lex_state = 10},
  [433] = {.lex_state = 7},
  [434] = {.lex_state = 13},
  [435] = {.lex_state = 10},
  [436] = {.lex_state = 12},
  [437] = {.lex_state = 7},
  [438] = {.lex_state = 7},
  [439] = {.lex_state = 7},
  [440] = {.lex_state = 13},
  [441] = {.lex_state = 7},
  [442] = {.lex_state = 7},
  [443] = {.lex_state = 7},
  [444] = {.lex_state = 12},
  [445] = {.lex_state = 12},
  [446] = {.lex_state = 12},
  [447] = {.lex_state = 7},
  [448] = {.lex_state = 7},
  [449] = {.lex_state = 61},
  [450] = {.lex_state = 12},
  [451] = {.lex_state = 61},
  [452] = {.lex_state = 7},
  [453] = {.lex_state = 7},
  [454] = {.lex_state = 7},
  [455] = {.lex_state = 61},
  [456] = {.lex_state = 61},
  [457] = {.lex_state = 7},
  [458] = {.lex_state = 7},
  [459] = {.lex_state = 61},
  [460] = {.lex_state = 12},
  [461] = {.lex_state = 61},
  [462] = {.lex_state = 61},
  [463] = {.lex_state = 61},
  [464] = {.lex_state = 7},
  [465] = {.lex_state = 7},
  [466] = {.lex_state = 12},
  [467] = {.lex_state = 61},
  [468] = {.lex_state = 12},
  [469] = {.lex_state = 7},
  [470] = {.lex_state = 7},
  [471] = {.lex_state = 7},
  [472] = {.lex_state = 7},
  [473] = {.lex_state = 7},
  [474] = {.lex_state = 61},
  [475] = {.lex_state = 62},
  [476] = {.lex_state = 61},
  [477] = {.lex_state = 61},
  [478] = {.lex_state = 61},
  [479] = {.lex_state = 61},
  [480] = {.lex_state = 12},
  [481] = {.lex_state = 61},
  [482] = {.lex_state = 61},
  [483] = {.lex_state = 61},
  [484] = {.lex_state = 61},
  [485] = {.lex_state = 61},
  [486] = {.lex_state = 12},
  [487] = {.lex_state = 61},
  [488] = {.lex_state = 61},
  [489] = {.lex_state = 61},
  [490] = {.lex_state = 61},
  [491] = {.lex_state = 61},
  [492] = {.lex_state = 61},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 61},
  [495] = {.lex_state = 61},
  [496] = {.lex_state = 61},
  [497] = {.lex_state = 61},
  [498] = {.lex_state = 61},
  [499] = {.lex_state = 61},
  [500] = {.lex_state = 61},
  [501] = {.lex_state = 61},
  [502] = {.lex_state = 61},
  [503] = {.lex_state = 61},
  [504] = {.lex_state = 61},
  [505] = {.lex_state = 61},
  [506] = {.lex_state = 61},
  [507] = {.lex_state = 61},
  [508] = {.lex_state = 61},
  [509] = {.lex_state = 61},
  [510] = {.lex_state = 61},
  [511] = {.lex_state = 61},
  [512] = {.lex_state = 12},
  [513] = {.lex_state = 61},
  [514] = {.lex_state = 61},
  [515] = {.lex_state = 61},
  [516] = {.lex_state = 61},
  [517] = {.lex_state = 61},
  [518] = {.lex_state = 61},
  [519] = {.lex_state = 61},
  [520] = {.lex_state = 61},
  [521] = {.lex_state = 12},
  [522] = {.lex_state = 61},
  [523] = {.lex_state = 61},
  [524] = {.lex_state = 61},
  [525] = {.lex_state = 61},
  [526] = {.lex_state = 61},
  [527] = {.lex_state = 61},
  [528] = {.lex_state = 61},
  [529] = {.lex_state = 61},
  [530] = {.lex_state = 61},
  [531] = {.lex_state = 61},
  [532] = {.lex_state = 61},
  [533] = {.lex_state = 61},
  [534] = {.lex_state = 61},
  [535] = {.lex_state = 61},
  [536] = {.lex_state = 61},
  [537] = {.lex_state = 12},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 61},
  [540] = {.lex_state = 61},
  [541] = {.lex_state = 61},
  [542] = {.lex_state = 61},
  [543] = {.lex_state = 61},
  [544] = {.lex_state = 61},
  [545] = {.lex_state = 61},
  [546] = {.lex_state = 61},
  [547] = {.lex_state = 61},
  [548] = {.lex_state = 61},
  [549] = {.lex_state = 61},
  [550] = {.lex_state = 61},
  [551] = {.lex_state = 61},
  [552] = {.lex_state = 61},
  [553] = {.lex_state = 61},
  [554] = {.lex_state = 61},
  [555] = {.lex_state = 61},
  [556] = {.lex_state = 61},
  [557] = {.lex_state = 61},
  [558] = {.lex_state = 61},
  [559] = {.lex_state = 61},
  [560] = {.lex_state = 61},
  [561] = {.lex_state = 61},
  [562] = {.lex_state = 61},
  [563] = {.lex_state = 61},
  [564] = {.lex_state = 61},
  [565] = {.lex_state = 62},
  [566] = {.lex_state = 61},
  [567] = {.lex_state = 61},
  [568] = {.lex_state = 62},
  [569] = {.lex_state = 61},
  [570] = {.lex_state = 61},
  [571] = {.lex_state = 61},
  [572] = {.lex_state = 61},
  [573] = {.lex_state = 61},
  [574] = {.lex_state = 61},
  [575] = {.lex_state = 61},
  [576] = {.lex_state = 62},
  [577] = {.lex_state = 61},
  [578] = {.lex_state = 61},
  [579] = {.lex_state = 2},
  [580] = {.lex_state = 61},
  [581] = {.lex_state = 61},
  [582] = {.lex_state = 61},
  [583] = {.lex_state = 61},
  [584] = {.lex_state = 7},
  [585] = {.lex_state = 7},
  [586] = {.lex_state = 61},
  [587] = {.lex_state = 61},
  [588] = {.lex_state = 61},
  [589] = {.lex_state = 61},
  [590] = {.lex_state = 7},
  [591] = {.lex_state = 7},
  [592] = {.lex_state = 61},
  [593] = {.lex_state = 2},
  [594] = {.lex_state = 7},
  [595] = {.lex_state = 61},
  [596] = {.lex_state = 61},
  [597] = {.lex_state = 61},
  [598] = {.lex_state = 7},
  [599] = {.lex_state = 61},
  [600] = {.lex_state = 7},
  [601] = {.lex_state = 61},
  [602] = {.lex_state = 7},
  [603] = {.lex_state = 7},
  [604] = {.lex_state = 7},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_node] = ACTIONS(1),
    [anon_sym_define] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_TILDE_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_AT_AT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_tag] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elsif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_unless] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1),
    [anon_sym_LT_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_GT_GT] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_Boolean] = ACTIONS(1),
    [anon_sym_Integer] = ACTIONS(1),
    [anon_sym_Float] = ACTIONS(1),
    [anon_sym_String] = ACTIONS(1),
    [anon_sym_Array] = ACTIONS(1),
    [anon_sym_Hash] = ACTIONS(1),
    [anon_sym_Regexp] = ACTIONS(1),
    [anon_sym_Variant] = ACTIONS(1),
    [anon_sym_Data] = ACTIONS(1),
    [anon_sym_Undef] = ACTIONS(1),
    [anon_sym_Default] = ACTIONS(1),
    [anon_sym_File] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_undef] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(592),
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [2] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(64),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_node] = ACTIONS(70),
    [anon_sym_define] = ACTIONS(73),
    [anon_sym_type] = ACTIONS(76),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_AT] = ACTIONS(82),
    [anon_sym_AT_AT] = ACTIONS(85),
    [anon_sym_require] = ACTIONS(88),
    [anon_sym_include] = ACTIONS(91),
    [anon_sym_tag] = ACTIONS(94),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_unless] = ACTIONS(100),
    [anon_sym_case] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(106),
    [anon_sym_BANG] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(115),
    [sym_number] = ACTIONS(118),
    [sym_float] = ACTIONS(121),
    [anon_sym_DQUOTE] = ACTIONS(124),
    [anon_sym_SQUOTE] = ACTIONS(127),
    [sym_regex] = ACTIONS(121),
    [anon_sym_true] = ACTIONS(130),
    [anon_sym_false] = ACTIONS(130),
    [sym_undef] = ACTIONS(118),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(57),
  },
  [3] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(136),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [4] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(138),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [5] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(3),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(140),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [6] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(11),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(142),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [7] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(10),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(144),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [8] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [9] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(148),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [10] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(150),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [11] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(152),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [12] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(13),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(154),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
  [13] = {
    [sym_statement] = STATE(177),
    [sym_class_definition] = STATE(185),
    [sym_node_definition] = STATE(185),
    [sym_defined_resource_type] = STATE(185),
    [sym_type_declaration] = STATE(185),
    [sym_assignment] = STATE(123),
    [sym_relation] = STATE(185),
    [sym_function_declaration] = STATE(185),
    [sym_resource_declaration] = STATE(185),
    [sym_require_statement] = STATE(185),
    [sym_include_statement] = STATE(185),
    [sym_tag_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_unless_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_iterator_statement] = STATE(185),
    [sym_resource_collector] = STATE(185),
    [sym_resource_default] = STATE(185),
    [sym_selector] = STATE(185),
    [sym_expression] = STATE(356),
    [sym_unary_expression] = STATE(283),
    [sym_binary_expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_function_call] = STATE(75),
    [sym_field_expression] = STATE(283),
    [sym_variable] = STATE(27),
    [sym_array] = STATE(283),
    [sym_hash] = STATE(75),
    [sym_literal] = STATE(283),
    [sym_resource_reference] = STATE(78),
    [sym_string] = STATE(54),
    [sym_boolean] = STATE(219),
    [sym__identifier] = STATE(70),
    [sym_class_identifier] = STATE(70),
    [aux_sym_source_file_repeat1] = STATE(2),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(156),
    [anon_sym_class] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_define] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(21),
    [anon_sym_AT_AT] = ACTIONS(23),
    [anon_sym_require] = ACTIONS(25),
    [anon_sym_include] = ACTIONS(27),
    [anon_sym_tag] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_unless] = ACTIONS(33),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_DOLLAR] = ACTIONS(43),
    [sym_number] = ACTIONS(45),
    [sym_float] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(49),
    [anon_sym_SQUOTE] = ACTIONS(51),
    [sym_regex] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [sym_undef] = ACTIONS(45),
    [sym_identifier] = ACTIONS(55),
    [sym_comment] = ACTIONS(57),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 37,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(9), 1,
      anon_sym_class,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_node,
    ACTIONS(15), 1,
      anon_sym_define,
    ACTIONS(17), 1,
      anon_sym_type,
    ACTIONS(19), 1,
      anon_sym_function,
    ACTIONS(21), 1,
      anon_sym_AT,
    ACTIONS(23), 1,
      anon_sym_AT_AT,
    ACTIONS(25), 1,
      anon_sym_require,
    ACTIONS(27), 1,
      anon_sym_include,
    ACTIONS(29), 1,
      anon_sym_tag,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_unless,
    ACTIONS(35), 1,
      anon_sym_case,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(55), 1,
      sym_identifier,
    ACTIONS(57), 1,
      sym_comment,
    STATE(27), 1,
      sym_variable,
    STATE(54), 1,
      sym_string,
    STATE(78), 1,
      sym_resource_reference,
    STATE(123), 1,
      sym_assignment,
    STATE(165), 1,
      sym_statement,
    STATE(219), 1,
      sym_boolean,
    STATE(356), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(70), 2,
      sym__identifier,
      sym_class_identifier,
    STATE(75), 2,
      sym_function_call,
      sym_hash,
    STATE(283), 6,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_field_expression,
      sym_array,
      sym_literal,
    STATE(185), 17,
      sym_class_definition,
      sym_node_definition,
      sym_defined_resource_type,
      sym_type_declaration,
      sym_relation,
      sym_function_declaration,
      sym_resource_declaration,
      sym_require_statement,
      sym_include_statement,
      sym_tag_statement,
      sym_if_statement,
      sym_unless_statement,
      sym_case_statement,
      sym_iterator_statement,
      sym_resource_collector,
      sym_resource_default,
      sym_selector,
  [139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      anon_sym_COLON_COLON,
    STATE(16), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(160), 27,
      anon_sym_class,
      anon_sym_EQ,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(158), 31,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      anon_sym_COLON_COLON,
    STATE(17), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(166), 27,
      anon_sym_class,
      anon_sym_EQ,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(164), 31,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(172), 1,
      anon_sym_COLON_COLON,
    STATE(17), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(170), 27,
      anon_sym_class,
      anon_sym_EQ,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(168), 31,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(170), 27,
      anon_sym_class,
      anon_sym_EQ,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(168), 32,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
      anon_sym_COLON_COLON,
  [422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(177), 27,
      anon_sym_class,
      anon_sym_EQ,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(175), 31,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 27,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_PIPE_GT,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(179), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_PIPE_GT_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(185), 27,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_PIPE_GT,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(183), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_GT,
      anon_sym_PIPE_GT_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(189), 27,
      anon_sym_class,
      anon_sym_EQ,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(187), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_PIPE,
    STATE(33), 1,
      sym_block,
    STATE(34), 1,
      sym_lambda,
    ACTIONS(195), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(193), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_PIPE,
    STATE(33), 1,
      sym_block,
    STATE(40), 1,
      sym_lambda,
    ACTIONS(201), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(199), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_PIPE,
    STATE(33), 1,
      sym_block,
    STATE(36), 1,
      sym_lambda,
    ACTIONS(205), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(203), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_PIPE,
    STATE(33), 1,
      sym_block,
    STATE(37), 1,
      sym_lambda,
    ACTIONS(209), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(207), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ,
    ACTIONS(220), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(224), 1,
      anon_sym_QMARK,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(228), 1,
      anon_sym_DASH,
    ACTIONS(215), 2,
      anon_sym_LPAREN,
      anon_sym_STAR,
    ACTIONS(231), 7,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(211), 11,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(222), 11,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [1038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(233), 2,
      anon_sym_LT_LT_PIPE,
      anon_sym_LT_PIPE,
    ACTIONS(187), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(189), 26,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [1106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_PIPE_GT_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(237), 27,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_PIPE_GT,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [1168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_PIPE_GT_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(241), 27,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_PIPE_GT,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [1230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(243), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(33), 1,
      sym_block,
    STATE(36), 1,
      sym_lambda,
    ACTIONS(205), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(203), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(247), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(203), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(33), 1,
      sym_block,
    STATE(37), 1,
      sym_lambda,
    ACTIONS(209), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(207), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(207), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(199), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(33), 1,
      sym_block,
    STATE(40), 1,
      sym_lambda,
    ACTIONS(201), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(199), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(251), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(255), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(259), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(263), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [1974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(267), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(33), 1,
      sym_block,
    STATE(34), 1,
      sym_lambda,
    ACTIONS(195), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(193), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(271), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(275), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(279), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(283), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 25,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(189), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 25,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(189), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_COMMA,
    STATE(110), 1,
      aux_sym_include_statement_repeat1,
    ACTIONS(231), 7,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(289), 11,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(222), 13,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(291), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2538] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_COMMA,
    STATE(110), 1,
      aux_sym_include_statement_repeat1,
    ACTIONS(231), 7,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(289), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(222), 13,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(291), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_COMMA,
    STATE(110), 1,
      aux_sym_include_statement_repeat1,
    ACTIONS(297), 7,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(289), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(295), 13,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(291), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_DASH,
    ACTIONS(299), 2,
      anon_sym_LPAREN,
      anon_sym_STAR,
    ACTIONS(297), 6,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(211), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(295), 12,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(295), 25,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(297), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(305), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(309), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(311), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [2924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(317), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [2983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(325), 1,
      anon_sym_DASH,
    ACTIONS(329), 1,
      anon_sym_PLUS,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 19,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 22,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3058] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(325), 1,
      anon_sym_DASH,
    ACTIONS(329), 1,
      anon_sym_PLUS,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(337), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(321), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 22,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 20,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 23,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 22,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 24,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(325), 1,
      anon_sym_DASH,
    ACTIONS(329), 1,
      anon_sym_PLUS,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(341), 1,
      anon_sym_and,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(337), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(345), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(321), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 19,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_or,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3358] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(325), 1,
      anon_sym_DASH,
    ACTIONS(329), 1,
      anon_sym_PLUS,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(337), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(345), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(321), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 20,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_and,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3441] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(325), 1,
      anon_sym_DASH,
    ACTIONS(329), 1,
      anon_sym_PLUS,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(337), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(321), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 22,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(321), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 24,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(321), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(323), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(347), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [3707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(351), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [3766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(228), 1,
      anon_sym_DASH,
    ACTIONS(355), 1,
      anon_sym_LBRACE,
    ACTIONS(215), 2,
      anon_sym_LPAREN,
      anon_sym_STAR,
    ACTIONS(231), 6,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(211), 11,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(222), 12,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [3835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(357), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [3894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(295), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [3953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(361), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [4012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(222), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [4071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(228), 1,
      anon_sym_DASH,
    ACTIONS(215), 2,
      anon_sym_LPAREN,
      anon_sym_STAR,
    ACTIONS(231), 6,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(211), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(222), 12,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4138] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_DOT,
    ACTIONS(325), 1,
      anon_sym_DASH,
    ACTIONS(329), 1,
      anon_sym_PLUS,
    ACTIONS(331), 1,
      anon_sym_SLASH,
    ACTIONS(335), 1,
      anon_sym_in,
    ACTIONS(341), 1,
      anon_sym_and,
    ACTIONS(369), 1,
      anon_sym_or,
    ACTIONS(327), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(333), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(337), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(345), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(365), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(367), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(222), 25,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(231), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(302), 1,
      anon_sym_DASH,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(299), 2,
      anon_sym_LPAREN,
      anon_sym_STAR,
    ACTIONS(297), 6,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(211), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(295), 12,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 7,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(222), 13,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(373), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(375), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(231), 7,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(373), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(222), 13,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(375), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 7,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
    ACTIONS(295), 13,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
    ACTIONS(373), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(375), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 25,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_in,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(377), 26,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_GT_GT,
      anon_sym_AT_AT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [4607] = 7,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(385), 1,
      anon_sym_elsif,
    ACTIONS(387), 1,
      anon_sym_else,
    STATE(168), 1,
      sym_else_statement,
    STATE(84), 2,
      sym_elsif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(381), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(383), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4661] = 7,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(385), 1,
      anon_sym_elsif,
    ACTIONS(387), 1,
      anon_sym_else,
    STATE(164), 1,
      sym_else_statement,
    STATE(85), 2,
      sym_elsif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(389), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(391), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4715] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_elsif,
    STATE(85), 2,
      sym_elsif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(393), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(395), 19,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_else,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4764] = 22,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(402), 1,
      anon_sym_RBRACE,
    ACTIONS(404), 1,
      anon_sym_default,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(338), 1,
      sym_expression,
    STATE(588), 1,
      sym_default_case,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(90), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [4846] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_COLON_COLON,
    STATE(88), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(158), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(160), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4894] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_COLON_COLON,
    STATE(89), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(164), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(166), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4942] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_COLON_COLON,
    STATE(89), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(168), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(170), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [4990] = 22,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(404), 1,
      anon_sym_default,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(338), 1,
      sym_expression,
    STATE(577), 1,
      sym_default_case,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(97), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [5072] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(425), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(427), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5115] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_COMMA,
    STATE(92), 1,
      aux_sym_include_statement_repeat1,
    ACTIONS(373), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(375), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5162] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(436), 1,
      anon_sym_COMMA,
    STATE(93), 1,
      aux_sym_tag_statement_repeat1,
    ACTIONS(432), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(434), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5209] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(439), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(441), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5252] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(443), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(445), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5295] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(447), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(449), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5338] = 21,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(454), 1,
      anon_sym_RBRACE,
    ACTIONS(456), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_default,
    ACTIONS(461), 1,
      anon_sym_LBRACK,
    ACTIONS(467), 1,
      anon_sym_DASH,
    ACTIONS(470), 1,
      anon_sym_DOLLAR,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(482), 1,
      anon_sym_SQUOTE,
    ACTIONS(488), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(338), 1,
      sym_expression,
    ACTIONS(464), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(473), 2,
      sym_number,
      sym_undef,
    ACTIONS(476), 2,
      sym_float,
      sym_regex,
    ACTIONS(485), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [5417] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(491), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(493), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5460] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(495), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(497), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5503] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(499), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(501), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5546] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(503), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(505), 20,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5589] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(507), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(509), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5632] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(511), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(513), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5675] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(515), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(517), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5718] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(519), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(521), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5761] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(523), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(525), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5804] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(527), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(529), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5847] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(531), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(533), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5890] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(187), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(189), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5935] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_COMMA,
    STATE(92), 1,
      aux_sym_include_statement_repeat1,
    ACTIONS(537), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(539), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [5982] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(545), 1,
      anon_sym_COMMA,
    STATE(93), 1,
      aux_sym_tag_statement_repeat1,
    ACTIONS(541), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(543), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6029] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(267), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(269), 20,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6072] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(259), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(261), 20,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_COLON_COLON,
    STATE(115), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(160), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(158), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [6162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_COLON_COLON,
    STATE(116), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(166), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(164), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [6209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_COLON_COLON,
    STATE(116), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(170), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(168), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [6256] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(168), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
      anon_sym_COLON_COLON,
    ACTIONS(170), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6299] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(552), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(554), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6342] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(556), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(558), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6385] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(545), 1,
      anon_sym_COMMA,
    STATE(111), 1,
      aux_sym_tag_statement_repeat1,
    ACTIONS(560), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(562), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6432] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(564), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(566), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6475] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(179), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(181), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6517] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_QMARK,
    ACTIONS(211), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(170), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(168), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [6603] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(432), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(434), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(189), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(187), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [6689] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(357), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(359), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6731] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(175), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(177), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6773] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(570), 1,
      anon_sym_LBRACK,
    ACTIONS(556), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(558), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6819] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(183), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(185), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6861] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(45), 1,
      sym_undef,
    ACTIONS(47), 1,
      sym_float,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(572), 1,
      anon_sym_RBRACE,
    ACTIONS(574), 1,
      sym_number,
    ACTIONS(576), 1,
      sym_regex,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(219), 1,
      sym_boolean,
    STATE(280), 1,
      sym_resource_reference,
    STATE(334), 1,
      sym_variable,
    STATE(352), 1,
      sym_string,
    STATE(371), 1,
      sym_expression,
    STATE(507), 1,
      sym_attribute,
    STATE(517), 1,
      sym__resource_block,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [6945] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(580), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(582), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [6986] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(584), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [7061] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(586), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(588), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7102] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(590), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(592), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7143] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(594), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(596), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7184] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(598), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(600), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7225] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(602), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(604), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7266] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(606), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(608), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7307] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(610), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(612), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7348] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(614), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(616), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7389] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(618), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(620), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7430] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(622), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(624), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7471] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(626), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [7546] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(628), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(630), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7587] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(632), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(634), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7628] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(259), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(261), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7669] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(636), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(638), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7710] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(640), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(642), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7751] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(280), 1,
      sym_resource_reference,
    STATE(310), 1,
      sym_variable,
    STATE(335), 1,
      sym_expression,
    STATE(519), 1,
      sym_selector,
    STATE(581), 1,
      sym_assignment,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [7826] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(644), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(646), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7867] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(648), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(650), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7908] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(652), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(654), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7949] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(656), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(658), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [7990] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(660), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(662), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8031] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(664), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(666), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(177), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(175), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [8113] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [8188] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(670), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(672), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8229] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [8304] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(676), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(678), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8345] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(680), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(682), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8386] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(684), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(686), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8427] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(688), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(690), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8468] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(692), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(694), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8509] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(696), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(698), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8550] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(700), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(702), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8591] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(389), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(391), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8632] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(704), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(706), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8673] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(708), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(710), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8714] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(712), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(714), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8755] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(716), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(718), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8796] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(720), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(722), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8837] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(724), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(726), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8878] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(728), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [8953] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(267), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(269), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [8994] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(734), 2,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
    ACTIONS(730), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(732), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9037] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(736), 1,
      anon_sym_if,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(355), 1,
      sym_expression,
    STATE(575), 1,
      sym_if_statement,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9112] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(738), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(740), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9153] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(742), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(744), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9194] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(746), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(748), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9235] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(750), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(752), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9276] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(756), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9319] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(760), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(762), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9360] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(211), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_TILDE_GT,
      anon_sym_AT_AT,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
    ACTIONS(213), 18,
      anon_sym_class,
      anon_sym_node,
      anon_sym_define,
      anon_sym_type,
      anon_sym_function,
      anon_sym_AT,
      anon_sym_require,
      anon_sym_include,
      anon_sym_tag,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_case,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
  [9401] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_RBRACE,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9476] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(766), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(341), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9548] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(768), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(336), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9620] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_RBRACK,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9692] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(772), 1,
      anon_sym_RBRACK,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(337), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9764] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(774), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9836] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_RBRACK,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9908] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [9980] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(780), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10052] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(339), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10124] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(527), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10196] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(784), 1,
      anon_sym_RBRACK,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10268] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(786), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10340] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(788), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10412] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(790), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(340), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10484] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(556), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10556] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(371), 1,
      sym_expression,
    STATE(526), 1,
      sym__resource_block,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10628] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(792), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10700] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10772] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(796), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(342), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10844] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_RBRACK,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10916] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [10988] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(802), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11060] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(804), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11132] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_RBRACK,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(333), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11204] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(304), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11273] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(366), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11342] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(359), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11411] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(362), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(299), 1,
      sym_block,
    STATE(300), 1,
      sym_lambda,
    ACTIONS(195), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(193), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [11527] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(812), 1,
      sym_identifier,
    STATE(80), 1,
      sym_variable,
    STATE(81), 1,
      sym_string,
    STATE(219), 1,
      sym_boolean,
    STATE(280), 1,
      sym_resource_reference,
    STATE(382), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(79), 3,
      sym_function_call,
      sym__identifier,
      sym_class_identifier,
    STATE(283), 7,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
  [11600] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(367), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11669] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(368), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 4,
      anon_sym_PIPE,
      anon_sym_PIPE_GT,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(295), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_GT_GT,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [11777] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(76), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 4,
      anon_sym_PIPE,
      anon_sym_PIPE_GT,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(361), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_GT_GT,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [11885] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(361), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [11954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(189), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(187), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [11997] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(364), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12066] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(287), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(205), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(203), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [12113] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(363), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(289), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(207), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [12229] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(294), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(199), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [12276] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(353), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12345] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(369), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(267), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [12453] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(812), 1,
      sym_identifier,
    STATE(51), 1,
      sym_variable,
    STATE(53), 1,
      sym_string,
    STATE(219), 1,
      sym_boolean,
    STATE(280), 1,
      sym_resource_reference,
    STATE(382), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(52), 3,
      sym_function_call,
      sym__identifier,
      sym_class_identifier,
    STATE(283), 7,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
  [12526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(259), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [12565] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(57), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12634] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(349), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12703] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(344), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12772] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(348), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12841] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(370), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12910] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(357), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [12979] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_DASH,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(358), 1,
      sym_expression,
    ACTIONS(39), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13048] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(324), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13117] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(343), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13186] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(59), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13255] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(60), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13324] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(61), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13393] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(62), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13462] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(63), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13531] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(64), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13600] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(65), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13669] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(354), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13738] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(350), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13807] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(351), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13876] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(66), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [13945] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(365), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14014] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(301), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14083] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(302), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14152] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(311), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14221] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(309), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14290] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(308), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14359] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(305), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14428] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(303), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14497] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(360), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14566] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(307), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14635] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DASH,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(306), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(406), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14704] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(372), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14773] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(373), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14842] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(374), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14911] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(375), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [14980] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(376), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15049] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(377), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15118] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(378), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15187] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(379), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15256] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(380), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15325] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(410), 1,
      anon_sym_DOLLAR,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_SQUOTE,
    ACTIONS(416), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_DASH,
    STATE(278), 1,
      sym_variable,
    STATE(280), 1,
      sym_resource_reference,
    STATE(381), 1,
      sym_expression,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(830), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    STATE(219), 2,
      sym_string,
      sym_boolean,
    STATE(283), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15394] = 18,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_DOLLAR,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_DASH,
    ACTIONS(828), 1,
      sym_identifier,
    STATE(55), 1,
      sym_resource_reference,
    STATE(67), 1,
      sym_expression,
    STATE(77), 1,
      sym_variable,
    ACTIONS(818), 2,
      anon_sym_BANG,
      anon_sym_STAR,
    ACTIONS(822), 2,
      sym_number,
      sym_undef,
    ACTIONS(824), 2,
      sym_float,
      sym_regex,
    ACTIONS(826), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(72), 2,
      sym_string,
      sym_boolean,
    STATE(74), 10,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_field_expression,
      sym_array,
      sym_hash,
      sym_literal,
      sym__identifier,
      sym_class_identifier,
  [15463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(237), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(235), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(239), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(231), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(222), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(185), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(297), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(295), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(179), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(263), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(222), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(283), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(279), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(357), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(207), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(243), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(199), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [15991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(377), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(275), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(271), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(251), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(255), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(317), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(305), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(351), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(347), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(247), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(203), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(311), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(309), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
  [16437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 15,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
  [16484] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_and,
  [16537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 11,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [16588] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_or,
  [16643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(321), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
  [16682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(321), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 17,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
  [16811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_QMARK,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(858), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(231), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
    ACTIONS(222), 20,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [16854] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 13,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [16903] = 12,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_default,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(868), 1,
      anon_sym_RBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(872), 1,
      sym_number,
    ACTIONS(874), 1,
      sym_identifier,
    STATE(459), 1,
      sym_type,
    STATE(516), 1,
      sym_default,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [16955] = 12,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(876), 1,
      sym_number,
    STATE(541), 1,
      sym_type,
    STATE(570), 1,
      sym_string,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17007] = 12,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_RBRACK,
    STATE(496), 1,
      sym_type,
    STATE(571), 1,
      sym_string,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17059] = 12,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(880), 1,
      anon_sym_RBRACK,
    STATE(496), 1,
      sym_type,
    STATE(571), 1,
      sym_string,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17111] = 11,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(882), 1,
      anon_sym_RPAREN,
    ACTIONS(884), 1,
      anon_sym_DOLLAR,
    STATE(533), 1,
      sym_type,
    STATE(538), 1,
      sym_variable,
    STATE(542), 1,
      sym_parameter,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17160] = 11,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(884), 1,
      anon_sym_DOLLAR,
    ACTIONS(886), 1,
      anon_sym_RPAREN,
    STATE(533), 1,
      sym_type,
    STATE(538), 1,
      sym_variable,
    STATE(545), 1,
      sym_parameter,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17209] = 11,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    STATE(496), 1,
      sym_type,
    STATE(571), 1,
      sym_string,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17258] = 11,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_default,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(888), 1,
      sym_number,
    STATE(513), 1,
      sym_type,
    STATE(555), 1,
      sym_default,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17307] = 11,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    STATE(456), 1,
      sym_type,
    STATE(511), 1,
      sym_string,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17356] = 11,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(884), 1,
      anon_sym_DOLLAR,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    STATE(533), 1,
      sym_type,
    STATE(538), 1,
      sym_variable,
    STATE(545), 1,
      sym_parameter,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(289), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(207), 19,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(199), 19,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17481] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(892), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(189), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(187), 18,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17573] = 10,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(874), 1,
      sym_identifier,
    ACTIONS(884), 1,
      anon_sym_DOLLAR,
    STATE(533), 1,
      sym_type,
    STATE(538), 1,
      sym_variable,
    STATE(545), 1,
      sym_parameter,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [17619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(299), 1,
      sym_block,
    STATE(300), 1,
      sym_lambda,
    ACTIONS(195), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(193), 19,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(287), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(205), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(203), 19,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_PIPE,
    STATE(294), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(199), 19,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_block,
    STATE(300), 1,
      sym_lambda,
    ACTIONS(195), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(193), 19,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(289), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(207), 19,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_lambda,
    STATE(299), 1,
      sym_block,
    ACTIONS(205), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(203), 19,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    ACTIONS(900), 1,
      anon_sym_RBRACK,
    STATE(490), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACK,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(231), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(222), 19,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [17939] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(902), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [17992] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(904), 1,
      anon_sym_COMMA,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    STATE(492), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(908), 1,
      anon_sym_COMMA,
    ACTIONS(910), 1,
      anon_sym_RBRACK,
    STATE(484), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18106] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(912), 1,
      anon_sym_COMMA,
    ACTIONS(914), 1,
      anon_sym_COLON,
    STATE(528), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(916), 1,
      anon_sym_COMMA,
    ACTIONS(918), 1,
      anon_sym_RPAREN,
    STATE(503), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18220] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(920), 1,
      anon_sym_COMMA,
    ACTIONS(922), 1,
      anon_sym_RPAREN,
    STATE(508), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(924), 1,
      anon_sym_COMMA,
    ACTIONS(926), 1,
      anon_sym_RPAREN,
    STATE(497), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18334] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(928), 1,
      anon_sym_COMMA,
    ACTIONS(930), 1,
      anon_sym_RPAREN,
    STATE(543), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18391] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(944), 1,
      anon_sym_or,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    STATE(161), 1,
      sym_block,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(956), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18497] = 8,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    STATE(498), 1,
      sym_type,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [18537] = 8,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(958), 1,
      anon_sym_DOLLAR,
    ACTIONS(960), 1,
      sym_identifier,
    STATE(183), 1,
      sym_type,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [18577] = 8,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACE,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(874), 1,
      sym_identifier,
    STATE(494), 1,
      sym_type,
    STATE(119), 5,
      sym_builtin_type,
      sym_composite_type,
      sym_attribute_type,
      sym_array_type,
      sym_class_identifier,
    ACTIONS(864), 12,
      anon_sym_Boolean,
      anon_sym_Integer,
      anon_sym_Float,
      anon_sym_String,
      anon_sym_Array,
      anon_sym_Hash,
      anon_sym_Regexp,
      anon_sym_Variant,
      anon_sym_Data,
      anon_sym_Undef,
      anon_sym_Default,
      anon_sym_File,
  [18617] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(944), 1,
      anon_sym_or,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(962), 1,
      anon_sym_LBRACE,
    STATE(83), 1,
      sym_block,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18671] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(944), 1,
      anon_sym_or,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(962), 1,
      anon_sym_LBRACE,
    STATE(101), 1,
      sym_block,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18725] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(944), 1,
      anon_sym_or,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    STATE(423), 1,
      sym_block,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18779] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(944), 1,
      anon_sym_or,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    STATE(480), 1,
      sym_block,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(297), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(295), 19,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
      anon_sym_DOT,
  [18865] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(964), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18917] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(966), 1,
      anon_sym_RPAREN,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18968] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(968), 1,
      anon_sym_RBRACE,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19019] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_or,
    ACTIONS(984), 1,
      anon_sym_and,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(974), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(978), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(986), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(988), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(978), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 9,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
  [19111] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(974), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(978), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 7,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 11,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
  [19193] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19244] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(984), 1,
      anon_sym_and,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 2,
      anon_sym_PIPE,
      anon_sym_or,
    ACTIONS(974), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(978), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(986), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(988), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 14,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(974), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(978), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19375] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(974), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(978), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(986), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(988), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(990), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 3,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(980), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19422] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19473] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_QMARK,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(992), 1,
      anon_sym_in,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(321), 16,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [19559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(321), 17,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
  [19592] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(944), 1,
      anon_sym_or,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(1000), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(309), 17,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
  [19676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(1002), 1,
      anon_sym_COLON,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(309), 17,
      anon_sym_LBRACE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
  [19760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 9,
      anon_sym_LBRACE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
  [19801] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 7,
      anon_sym_LBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 11,
      anon_sym_LBRACE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
  [19883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 14,
      anon_sym_LBRACE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_and,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(321), 2,
      anon_sym_LBRACE,
      anon_sym_or,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19969] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(948), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(950), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(321), 3,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20016] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(936), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(942), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(321), 5,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_in,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(321), 16,
      anon_sym_LBRACE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [20096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(323), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(321), 17,
      anon_sym_LBRACE,
      anon_sym_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_in,
  [20129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 1,
      anon_sym_LPAREN,
    ACTIONS(836), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_in,
    ACTIONS(854), 1,
      anon_sym_and,
    ACTIONS(894), 1,
      anon_sym_or,
    ACTIONS(838), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(842), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(846), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(850), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(852), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(840), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20177] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(269), 7,
      anon_sym_default,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(267), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [20203] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1006), 7,
      anon_sym_default,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(1004), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [20229] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(261), 7,
      anon_sym_default,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(259), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [20255] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1010), 7,
      anon_sym_default,
      anon_sym_DASH,
      sym_number,
      anon_sym_true,
      anon_sym_false,
      sym_undef,
      sym_identifier,
    ACTIONS(1008), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_regex,
  [20281] = 12,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1014), 1,
      sym_identifier,
    STATE(475), 1,
      sym_resource_reference,
    STATE(568), 1,
      sym_literal,
    STATE(574), 1,
      sym_variable,
    ACTIONS(45), 2,
      sym_number,
      sym_undef,
    ACTIONS(47), 2,
      sym_float,
      sym_regex,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_string,
      sym_boolean,
  [20322] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(525), 1,
      sym_attribute,
    ACTIONS(1016), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20351] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(474), 1,
      sym_attribute,
    ACTIONS(1020), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20380] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(525), 1,
      sym_attribute,
    ACTIONS(1022), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20409] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_EQ,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(187), 9,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [20430] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOLLAR,
    ACTIONS(1026), 1,
      anon_sym_DQUOTE,
    ACTIONS(1028), 1,
      sym__double_string_content,
    ACTIONS(1032), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1030), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(404), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20456] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1034), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20484] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1036), 1,
      anon_sym_RBRACE,
    STATE(520), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20512] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1038), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20540] = 7,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1040), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_DOLLAR,
    ACTIONS(1044), 1,
      anon_sym_DQUOTE,
    ACTIONS(1046), 1,
      anon_sym_SQUOTE,
    ACTIONS(1048), 1,
      sym_identifier,
    STATE(125), 5,
      sym_parenthesized_expression,
      sym_variable,
      sym_string,
      sym__identifier,
      sym_class_identifier,
  [20566] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_RBRACE,
    STATE(539), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20594] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOLLAR,
    ACTIONS(1032), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1052), 1,
      anon_sym_DQUOTE,
    ACTIONS(1054), 1,
      sym__double_string_content,
    ACTIONS(1056), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(400), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_DOLLAR,
    ACTIONS(1061), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      sym__double_string_content,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1066), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(399), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOLLAR,
    ACTIONS(1032), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_DQUOTE,
    ACTIONS(1074), 1,
      sym__double_string_content,
    ACTIONS(1076), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(399), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20672] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    STATE(481), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20700] = 7,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1040), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_DOLLAR,
    ACTIONS(1044), 1,
      anon_sym_DQUOTE,
    ACTIONS(1046), 1,
      anon_sym_SQUOTE,
    ACTIONS(1048), 1,
      sym_identifier,
    STATE(120), 5,
      sym_parenthesized_expression,
      sym_variable,
      sym_string,
      sym__identifier,
      sym_class_identifier,
  [20726] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOLLAR,
    ACTIONS(1032), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1074), 1,
      sym__double_string_content,
    ACTIONS(1082), 1,
      anon_sym_DQUOTE,
    ACTIONS(1076), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(399), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20780] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1084), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20808] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_RBRACE,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(507), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20836] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1086), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20864] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOLLAR,
    ACTIONS(1032), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1088), 1,
      anon_sym_DQUOTE,
    ACTIONS(1090), 1,
      sym__double_string_content,
    ACTIONS(1092), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(409), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOLLAR,
    ACTIONS(1032), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1074), 1,
      sym__double_string_content,
    ACTIONS(1094), 1,
      anon_sym_DQUOTE,
    ACTIONS(1076), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(399), 4,
      sym_variable,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym_string_repeat1,
  [20916] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1096), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20944] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1098), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [20972] = 8,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1100), 1,
      anon_sym_RBRACE,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [21000] = 7,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(525), 1,
      sym_attribute,
    STATE(579), 2,
      sym_variable,
      sym_string,
    ACTIONS(1018), 3,
      sym_number,
      sym_regex,
      sym_identifier,
  [21025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(158), 1,
      sym__double_string_content,
    ACTIONS(1102), 1,
      anon_sym_COLON_COLON,
    STATE(415), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(160), 5,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [21045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(164), 1,
      sym__double_string_content,
    ACTIONS(1102), 1,
      anon_sym_COLON_COLON,
    STATE(416), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(166), 5,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [21065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(168), 1,
      sym__double_string_content,
    ACTIONS(1104), 1,
      anon_sym_COLON_COLON,
    STATE(416), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(170), 5,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [21085] = 7,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(862), 1,
      anon_sym_default,
    ACTIONS(1107), 1,
      sym_identifier,
    STATE(461), 1,
      sym_node_name,
    STATE(550), 2,
      sym_string,
      sym_default,
  [21108] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(570), 1,
      anon_sym_LBRACK,
    ACTIONS(556), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
  [21125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      sym__double_string_content,
    ACTIONS(1109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(189), 5,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [21142] = 7,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(862), 1,
      anon_sym_default,
    ACTIONS(1107), 1,
      sym_identifier,
    STATE(548), 1,
      sym_node_name,
    STATE(550), 2,
      sym_string,
      sym_default,
  [21165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(168), 1,
      sym__double_string_content,
    ACTIONS(170), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_COLON,
  [21180] = 6,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(958), 1,
      anon_sym_DOLLAR,
    ACTIONS(1044), 1,
      anon_sym_DQUOTE,
    ACTIONS(1046), 1,
      anon_sym_SQUOTE,
    ACTIONS(1048), 1,
      sym_identifier,
    STATE(169), 3,
      sym_string,
      sym__identifier,
      sym_class_identifier,
  [21201] = 6,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_RBRACE,
    ACTIONS(1111), 1,
      anon_sym_elsif,
    ACTIONS(1113), 1,
      anon_sym_else,
    STATE(168), 1,
      sym_else_statement,
    STATE(427), 2,
      sym_elsif_statement,
      aux_sym_if_statement_repeat1,
  [21221] = 7,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_RBRACE,
    ACTIONS(1117), 1,
      sym_identifier,
    STATE(573), 1,
      sym_attribute_type_entry,
    STATE(593), 1,
      sym_string,
  [21243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      sym__single_string_content,
    ACTIONS(1121), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(426), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_SQUOTE,
    ACTIONS(1123), 1,
      sym__single_string_content,
    ACTIONS(1125), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(440), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21279] = 6,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(389), 1,
      anon_sym_RBRACE,
    ACTIONS(1111), 1,
      anon_sym_elsif,
    ACTIONS(1113), 1,
      anon_sym_else,
    STATE(164), 1,
      sym_else_statement,
    STATE(445), 2,
      sym_elsif_statement,
      aux_sym_if_statement_repeat1,
  [21299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      anon_sym_SQUOTE,
    ACTIONS(1127), 1,
      sym__single_string_content,
    ACTIONS(1129), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(429), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 1,
      anon_sym_SQUOTE,
    ACTIONS(1123), 1,
      sym__single_string_content,
    ACTIONS(1125), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(440), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_SQUOTE,
    ACTIONS(1131), 1,
      sym__single_string_content,
    ACTIONS(1133), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(434), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21353] = 7,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym_identifier,
    ACTIONS(1135), 1,
      anon_sym_RBRACE,
    STATE(573), 1,
      sym_attribute_type_entry,
    STATE(593), 1,
      sym_string,
  [21375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      sym__double_string_content,
    ACTIONS(1137), 5,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [21389] = 6,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1141), 1,
      sym_identifier,
    STATE(491), 2,
      sym_variable,
      sym_string,
  [21409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      anon_sym_SQUOTE,
    ACTIONS(1123), 1,
      sym__single_string_content,
    ACTIONS(1125), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(440), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(175), 1,
      sym__double_string_content,
    ACTIONS(177), 5,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [21441] = 7,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_LPAREN,
    ACTIONS(1145), 1,
      anon_sym_inherits,
    STATE(152), 1,
      sym_block,
    STATE(468), 1,
      sym_parameter_list,
    STATE(553), 1,
      sym_class_inherits,
  [21463] = 7,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym_identifier,
    ACTIONS(1147), 1,
      anon_sym_RBRACE,
    STATE(483), 1,
      sym_attribute_type_entry,
    STATE(593), 1,
      sym_string,
  [21485] = 6,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1149), 1,
      sym_identifier,
    STATE(509), 2,
      sym_variable,
      sym_string,
  [21505] = 6,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      sym_identifier,
    STATE(554), 2,
      sym_variable,
      sym_string,
  [21525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_SQUOTE,
    ACTIONS(1155), 1,
      sym__single_string_content,
    ACTIONS(1158), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(440), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [21543] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      sym_identifier,
    STATE(19), 2,
      sym__identifier,
      sym_class_identifier,
  [21560] = 6,
    ACTIONS(49), 1,
      anon_sym_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_SQUOTE,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym_identifier,
    STATE(573), 1,
      sym_attribute_type_entry,
    STATE(593), 1,
      sym_string,
  [21579] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(958), 1,
      anon_sym_DOLLAR,
    ACTIONS(1048), 1,
      sym_identifier,
    STATE(128), 2,
      sym__identifier,
      sym_class_identifier,
  [21596] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_COLON_COLON,
    STATE(446), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(158), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_inherits,
  [21611] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_elsif,
    ACTIONS(393), 2,
      anon_sym_RBRACE,
      anon_sym_else,
    STATE(445), 2,
      sym_elsif_statement,
      aux_sym_if_statement_repeat1,
  [21626] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_COLON_COLON,
    STATE(450), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(164), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_inherits,
  [21641] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1168), 1,
      anon_sym_DOLLAR,
    ACTIONS(1170), 1,
      sym_identifier,
    STATE(157), 2,
      sym__identifier,
      sym_class_identifier,
  [21658] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(19), 2,
      sym__identifier,
      sym_class_identifier,
  [21675] = 6,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_LPAREN,
    ACTIONS(1174), 1,
      anon_sym_GT_GT,
    STATE(156), 1,
      sym_block,
    STATE(478), 1,
      sym_parameter_list,
  [21694] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1176), 1,
      anon_sym_COLON_COLON,
    STATE(450), 1,
      aux_sym_class_identifier_repeat1,
    ACTIONS(168), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_inherits,
  [21709] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(892), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [21724] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(576), 2,
      sym__identifier,
      sym_class_identifier,
  [21738] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_DOLLAR,
    ACTIONS(1170), 1,
      sym_identifier,
    STATE(298), 2,
      sym__identifier,
      sym_class_identifier,
  [21752] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(19), 2,
      sym__identifier,
      sym_class_identifier,
  [21766] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1182), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      aux_sym__resource_block_repeat1,
    ACTIONS(1016), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21780] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(1184), 1,
      anon_sym_COMMA,
    ACTIONS(1186), 1,
      anon_sym_RBRACK,
    STATE(476), 1,
      aux_sym_composite_type_repeat1,
  [21796] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(580), 2,
      sym__identifier,
      sym_class_identifier,
  [21810] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_DOLLAR,
    ACTIONS(1190), 1,
      sym_identifier,
    STATE(435), 2,
      sym__identifier,
      sym_class_identifier,
  [21824] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(1192), 1,
      anon_sym_COMMA,
    ACTIONS(1194), 1,
      anon_sym_RBRACK,
    STATE(502), 1,
      aux_sym_array_type_repeat1,
  [21840] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(187), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_inherits,
  [21852] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1198), 1,
      anon_sym_COMMA,
    STATE(154), 1,
      sym_block,
    STATE(463), 1,
      aux_sym_node_definition_repeat1,
  [21868] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_LPAREN,
    STATE(155), 1,
      sym_block,
    STATE(572), 1,
      sym_parameter_list,
  [21884] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1198), 1,
      anon_sym_COMMA,
    STATE(181), 1,
      sym_block,
    STATE(477), 1,
      aux_sym_node_definition_repeat1,
  [21900] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_PIPE_GT_GT,
    ACTIONS(1202), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1204), 1,
      sym_identifier,
    STATE(565), 1,
      sym_search_expression,
  [21916] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_DOLLAR,
    ACTIONS(1208), 1,
      sym_identifier,
    STATE(436), 2,
      sym__identifier,
      sym_class_identifier,
  [21930] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(168), 4,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_inherits,
      anon_sym_COLON_COLON,
  [21940] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      aux_sym__resource_block_repeat1,
    ACTIONS(1210), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21954] = 5,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1145), 1,
      anon_sym_inherits,
    STATE(132), 1,
      sym_block,
    STATE(567), 1,
      sym_class_inherits,
  [21970] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(449), 2,
      sym__identifier,
      sym_class_identifier,
  [21984] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(596), 2,
      sym__identifier,
      sym_class_identifier,
  [21998] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(462), 2,
      sym__identifier,
      sym_class_identifier,
  [22012] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(595), 2,
      sym__identifier,
      sym_class_identifier,
  [22026] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      sym_identifier,
    STATE(68), 2,
      sym__identifier,
      sym_class_identifier,
  [22040] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_COMMA,
    STATE(455), 1,
      aux_sym__resource_block_repeat1,
    ACTIONS(1215), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22054] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(295), 1,
      anon_sym_PIPE_GT_GT,
    ACTIONS(297), 1,
      anon_sym_PIPE_GT,
  [22067] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_RBRACK,
    ACTIONS(1219), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      aux_sym_composite_type_repeat1,
  [22080] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1221), 1,
      anon_sym_LBRACE,
    ACTIONS(1223), 1,
      anon_sym_COMMA,
    STATE(477), 1,
      aux_sym_node_definition_repeat1,
  [22093] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    ACTIONS(1226), 1,
      anon_sym_GT_GT,
    STATE(184), 1,
      sym_block,
  [22106] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_COMMA,
    ACTIONS(1231), 1,
      anon_sym_RBRACK,
    STATE(479), 1,
      aux_sym_resource_reference_repeat1,
  [22119] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(503), 3,
      anon_sym_RBRACE,
      anon_sym_elsif,
      anon_sym_else,
  [22128] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_RBRACE,
    ACTIONS(1235), 1,
      anon_sym_COMMA,
    STATE(488), 1,
      aux_sym__resource_block_repeat1,
  [22141] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1237), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [22150] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_RBRACE,
    ACTIONS(1241), 1,
      anon_sym_COMMA,
    STATE(510), 1,
      aux_sym_attribute_type_repeat1,
  [22163] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_RBRACK,
    ACTIONS(1243), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22176] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    ACTIONS(1245), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      aux_sym__resource_block_repeat1,
  [22189] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1247), 3,
      anon_sym_LBRACE,
      anon_sym_inherits,
      anon_sym_GT_GT,
  [22198] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    ACTIONS(1249), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_parameter_list_repeat1,
  [22211] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_RBRACE,
    ACTIONS(1251), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      aux_sym__resource_block_repeat1,
  [22224] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    STATE(535), 1,
      aux_sym_lambda_repeat1,
  [22237] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_RBRACK,
    ACTIONS(1257), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22250] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_COMMA,
    ACTIONS(1261), 1,
      anon_sym_RBRACK,
    STATE(495), 1,
      aux_sym_resource_reference_repeat1,
  [22263] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_RPAREN,
    ACTIONS(1263), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22276] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(1265), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22287] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(151), 1,
      sym_block,
  [22300] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_COMMA,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    STATE(479), 1,
      aux_sym_resource_reference_repeat1,
  [22313] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [22324] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_RPAREN,
    ACTIONS(1273), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22337] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_block,
  [22350] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1275), 1,
      anon_sym_RBRACE,
    ACTIONS(1277), 1,
      anon_sym_SEMI,
    STATE(505), 1,
      aux_sym_resource_declaration_repeat1,
  [22363] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_COMMA,
    ACTIONS(1282), 1,
      anon_sym_PIPE,
    STATE(500), 1,
      aux_sym_lambda_repeat1,
  [22376] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_RBRACK,
    ACTIONS(1284), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      aux_sym_composite_type_repeat1,
  [22389] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_COMMA,
    ACTIONS(1287), 1,
      anon_sym_RBRACK,
    STATE(518), 1,
      aux_sym_array_type_repeat1,
  [22402] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_RPAREN,
    ACTIONS(1289), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22415] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    ACTIONS(1293), 1,
      anon_sym_SEMI,
    STATE(505), 1,
      aux_sym_resource_declaration_repeat1,
  [22428] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RBRACE,
    ACTIONS(1297), 1,
      anon_sym_SEMI,
    STATE(505), 1,
      aux_sym_resource_declaration_repeat1,
  [22441] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COMMA,
    ACTIONS(1300), 1,
      anon_sym_PIPE,
    STATE(500), 1,
      aux_sym_lambda_repeat1,
  [22454] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1302), 1,
      anon_sym_RBRACE,
    ACTIONS(1304), 1,
      anon_sym_COMMA,
    STATE(530), 1,
      aux_sym__resource_block_repeat1,
  [22467] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(792), 1,
      anon_sym_RPAREN,
    ACTIONS(1306), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22480] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_RBRACK,
    STATE(536), 1,
      aux_sym_resource_reference_repeat1,
  [22493] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_RBRACE,
    ACTIONS(1310), 1,
      anon_sym_COMMA,
    STATE(531), 1,
      aux_sym_attribute_type_repeat1,
  [22506] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1184), 1,
      anon_sym_COMMA,
    ACTIONS(1186), 1,
      anon_sym_RBRACK,
    STATE(476), 1,
      aux_sym_composite_type_repeat1,
  [22519] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1312), 3,
      anon_sym_LBRACE,
      anon_sym_inherits,
      anon_sym_GT_GT,
  [22528] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [22539] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_COMMA,
    ACTIONS(1319), 1,
      anon_sym_RPAREN,
    STATE(514), 1,
      aux_sym_parameter_list_repeat1,
  [22552] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1321), 1,
      anon_sym_PIPE,
    STATE(532), 1,
      sym_variable,
  [22565] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_COMMA,
    ACTIONS(1194), 1,
      anon_sym_RBRACK,
    STATE(502), 1,
      aux_sym_array_type_repeat1,
  [22578] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    ACTIONS(1325), 1,
      anon_sym_SEMI,
    STATE(534), 1,
      aux_sym_resource_declaration_repeat1,
  [22591] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1314), 1,
      anon_sym_RBRACK,
    ACTIONS(1327), 1,
      anon_sym_COMMA,
    STATE(518), 1,
      aux_sym_array_type_repeat1,
  [22604] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(902), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [22613] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_RBRACE,
    ACTIONS(1332), 1,
      anon_sym_COMMA,
    STATE(529), 1,
      aux_sym__resource_block_repeat1,
  [22626] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1334), 3,
      anon_sym_LBRACE,
      anon_sym_inherits,
      anon_sym_GT_GT,
  [22635] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1336), 1,
      anon_sym_PIPE,
    STATE(523), 1,
      sym_variable,
  [22648] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COMMA,
    ACTIONS(1338), 1,
      anon_sym_PIPE,
    STATE(524), 1,
      aux_sym_lambda_repeat1,
  [22661] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COMMA,
    ACTIONS(1340), 1,
      anon_sym_PIPE,
    STATE(500), 1,
      aux_sym_lambda_repeat1,
  [22674] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1210), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [22683] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_RBRACE,
    ACTIONS(1344), 1,
      anon_sym_SEMI,
    STATE(499), 1,
      aux_sym_resource_declaration_repeat1,
  [22696] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1346), 1,
      anon_sym_RBRACE,
    ACTIONS(1348), 1,
      anon_sym_SEMI,
    STATE(504), 1,
      aux_sym_resource_declaration_repeat1,
  [22709] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_COMMA,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22722] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1098), 1,
      anon_sym_RBRACE,
    ACTIONS(1352), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      aux_sym__resource_block_repeat1,
  [22735] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1038), 1,
      anon_sym_RBRACE,
    ACTIONS(1354), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      aux_sym__resource_block_repeat1,
  [22748] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1356), 1,
      anon_sym_RBRACE,
    ACTIONS(1358), 1,
      anon_sym_COMMA,
    STATE(531), 1,
      aux_sym_attribute_type_repeat1,
  [22761] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COMMA,
    ACTIONS(1361), 1,
      anon_sym_PIPE,
    STATE(506), 1,
      aux_sym_lambda_repeat1,
  [22774] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(493), 1,
      sym_variable,
  [22787] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_RBRACE,
    ACTIONS(1365), 1,
      anon_sym_SEMI,
    STATE(505), 1,
      aux_sym_resource_declaration_repeat1,
  [22800] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COMMA,
    ACTIONS(1367), 1,
      anon_sym_PIPE,
    STATE(500), 1,
      aux_sym_lambda_repeat1,
  [22813] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_COMMA,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    STATE(479), 1,
      aux_sym_resource_reference_repeat1,
  [22826] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_LBRACE,
      anon_sym_inherits,
      anon_sym_GT_GT,
  [22835] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(1373), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22846] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_RBRACE,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    STATE(485), 1,
      aux_sym__resource_block_repeat1,
  [22859] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    ACTIONS(1381), 1,
      anon_sym_PIPE,
    STATE(489), 1,
      sym_variable,
  [22872] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACK,
    ACTIONS(1383), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [22883] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_COMMA,
    ACTIONS(1387), 1,
      anon_sym_RPAREN,
    STATE(487), 1,
      aux_sym_parameter_list_repeat1,
  [22896] = 4,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_RPAREN,
    ACTIONS(1389), 1,
      anon_sym_COMMA,
    STATE(451), 1,
      aux_sym_case_item_repeat1,
  [22909] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(139), 1,
      sym_block,
  [22919] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1319), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22927] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(293), 1,
      sym_block,
  [22937] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(282), 1,
      sym_block,
  [22947] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1221), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [22955] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(599), 1,
      sym_block,
  [22965] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1391), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [22973] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR,
    STATE(563), 1,
      sym_variable,
  [22983] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_block,
  [22993] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(132), 1,
      sym_block,
  [23003] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1231), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [23011] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [23019] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1393), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23027] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_block,
  [23037] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1397), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [23045] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_LBRACE,
    STATE(42), 1,
      sym_block,
  [23055] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(162), 1,
      sym_block,
  [23065] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(138), 1,
      sym_block,
  [23075] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_LBRACE,
    STATE(384), 1,
      sym_block,
  [23085] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1282), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [23093] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_LBRACE,
    STATE(39), 1,
      sym_block,
  [23103] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_PIPE_GT_GT,
    ACTIONS(1403), 1,
      anon_sym_PIPE_GT,
  [23113] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    STATE(288), 1,
      sym_block,
  [23123] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(149), 1,
      sym_block,
  [23133] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_PIPE_GT_GT,
    ACTIONS(1407), 1,
      anon_sym_PIPE_GT,
  [23143] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_LBRACE,
    STATE(31), 1,
      sym_block,
  [23153] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1383), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [23161] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [23169] = 3,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LBRACE,
    STATE(182), 1,
      sym_block,
  [23179] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1356), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [23187] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
  [23194] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_RBRACE,
  [23201] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
  [23208] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_RBRACE,
  [23215] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_COLON_COLON,
  [23222] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
  [23229] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1413), 1,
      anon_sym_LBRACE,
  [23236] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_QMARK,
  [23243] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_COLON_COLON,
  [23250] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COLON_COLON,
  [23257] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1417), 1,
      sym_identifier,
  [23264] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1419), 1,
      sym_identifier,
  [23271] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_COLON,
  [23278] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_LBRACE,
  [23285] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(423), 1,
      anon_sym_RBRACE,
  [23292] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_COLON_COLON,
  [23299] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1425), 1,
      sym_identifier,
  [23306] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1427), 1,
      sym_identifier,
  [23313] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1429), 1,
      ts_builtin_sym_end,
  [23320] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_EQ_GT,
  [23327] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym_identifier,
  [23334] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_LBRACE,
  [23341] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_LBRACE,
  [23348] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_RBRACK,
  [23355] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1441), 1,
      sym_identifier,
  [23362] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
  [23369] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1445), 1,
      sym_identifier,
  [23376] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_COLON_COLON,
  [23383] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1447), 1,
      sym_identifier,
  [23390] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1449), 1,
      sym_identifier,
  [23397] = 2,
    ACTIONS(57), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(14)] = 0,
  [SMALL_STATE(15)] = 139,
  [SMALL_STATE(16)] = 211,
  [SMALL_STATE(17)] = 283,
  [SMALL_STATE(18)] = 355,
  [SMALL_STATE(19)] = 422,
  [SMALL_STATE(20)] = 488,
  [SMALL_STATE(21)] = 553,
  [SMALL_STATE(22)] = 618,
  [SMALL_STATE(23)] = 684,
  [SMALL_STATE(24)] = 753,
  [SMALL_STATE(25)] = 822,
  [SMALL_STATE(26)] = 891,
  [SMALL_STATE(27)] = 960,
  [SMALL_STATE(28)] = 1038,
  [SMALL_STATE(29)] = 1106,
  [SMALL_STATE(30)] = 1168,
  [SMALL_STATE(31)] = 1230,
  [SMALL_STATE(32)] = 1291,
  [SMALL_STATE(33)] = 1356,
  [SMALL_STATE(34)] = 1417,
  [SMALL_STATE(35)] = 1478,
  [SMALL_STATE(36)] = 1543,
  [SMALL_STATE(37)] = 1604,
  [SMALL_STATE(38)] = 1665,
  [SMALL_STATE(39)] = 1730,
  [SMALL_STATE(40)] = 1791,
  [SMALL_STATE(41)] = 1852,
  [SMALL_STATE(42)] = 1913,
  [SMALL_STATE(43)] = 1974,
  [SMALL_STATE(44)] = 2035,
  [SMALL_STATE(45)] = 2100,
  [SMALL_STATE(46)] = 2160,
  [SMALL_STATE(47)] = 2220,
  [SMALL_STATE(48)] = 2280,
  [SMALL_STATE(49)] = 2340,
  [SMALL_STATE(50)] = 2404,
  [SMALL_STATE(51)] = 2468,
  [SMALL_STATE(52)] = 2538,
  [SMALL_STATE(53)] = 2606,
  [SMALL_STATE(54)] = 2674,
  [SMALL_STATE(55)] = 2741,
  [SMALL_STATE(56)] = 2802,
  [SMALL_STATE(57)] = 2861,
  [SMALL_STATE(58)] = 2924,
  [SMALL_STATE(59)] = 2983,
  [SMALL_STATE(60)] = 3058,
  [SMALL_STATE(61)] = 3135,
  [SMALL_STATE(62)] = 3206,
  [SMALL_STATE(63)] = 3273,
  [SMALL_STATE(64)] = 3358,
  [SMALL_STATE(65)] = 3441,
  [SMALL_STATE(66)] = 3520,
  [SMALL_STATE(67)] = 3585,
  [SMALL_STATE(68)] = 3648,
  [SMALL_STATE(69)] = 3707,
  [SMALL_STATE(70)] = 3766,
  [SMALL_STATE(71)] = 3835,
  [SMALL_STATE(72)] = 3894,
  [SMALL_STATE(73)] = 3953,
  [SMALL_STATE(74)] = 4012,
  [SMALL_STATE(75)] = 4071,
  [SMALL_STATE(76)] = 4138,
  [SMALL_STATE(77)] = 4225,
  [SMALL_STATE(78)] = 4286,
  [SMALL_STATE(79)] = 4357,
  [SMALL_STATE(80)] = 4420,
  [SMALL_STATE(81)] = 4485,
  [SMALL_STATE(82)] = 4548,
  [SMALL_STATE(83)] = 4607,
  [SMALL_STATE(84)] = 4661,
  [SMALL_STATE(85)] = 4715,
  [SMALL_STATE(86)] = 4764,
  [SMALL_STATE(87)] = 4846,
  [SMALL_STATE(88)] = 4894,
  [SMALL_STATE(89)] = 4942,
  [SMALL_STATE(90)] = 4990,
  [SMALL_STATE(91)] = 5072,
  [SMALL_STATE(92)] = 5115,
  [SMALL_STATE(93)] = 5162,
  [SMALL_STATE(94)] = 5209,
  [SMALL_STATE(95)] = 5252,
  [SMALL_STATE(96)] = 5295,
  [SMALL_STATE(97)] = 5338,
  [SMALL_STATE(98)] = 5417,
  [SMALL_STATE(99)] = 5460,
  [SMALL_STATE(100)] = 5503,
  [SMALL_STATE(101)] = 5546,
  [SMALL_STATE(102)] = 5589,
  [SMALL_STATE(103)] = 5632,
  [SMALL_STATE(104)] = 5675,
  [SMALL_STATE(105)] = 5718,
  [SMALL_STATE(106)] = 5761,
  [SMALL_STATE(107)] = 5804,
  [SMALL_STATE(108)] = 5847,
  [SMALL_STATE(109)] = 5890,
  [SMALL_STATE(110)] = 5935,
  [SMALL_STATE(111)] = 5982,
  [SMALL_STATE(112)] = 6029,
  [SMALL_STATE(113)] = 6072,
  [SMALL_STATE(114)] = 6115,
  [SMALL_STATE(115)] = 6162,
  [SMALL_STATE(116)] = 6209,
  [SMALL_STATE(117)] = 6256,
  [SMALL_STATE(118)] = 6299,
  [SMALL_STATE(119)] = 6342,
  [SMALL_STATE(120)] = 6385,
  [SMALL_STATE(121)] = 6432,
  [SMALL_STATE(122)] = 6475,
  [SMALL_STATE(123)] = 6517,
  [SMALL_STATE(124)] = 6561,
  [SMALL_STATE(125)] = 6603,
  [SMALL_STATE(126)] = 6645,
  [SMALL_STATE(127)] = 6689,
  [SMALL_STATE(128)] = 6731,
  [SMALL_STATE(129)] = 6773,
  [SMALL_STATE(130)] = 6819,
  [SMALL_STATE(131)] = 6861,
  [SMALL_STATE(132)] = 6945,
  [SMALL_STATE(133)] = 6986,
  [SMALL_STATE(134)] = 7061,
  [SMALL_STATE(135)] = 7102,
  [SMALL_STATE(136)] = 7143,
  [SMALL_STATE(137)] = 7184,
  [SMALL_STATE(138)] = 7225,
  [SMALL_STATE(139)] = 7266,
  [SMALL_STATE(140)] = 7307,
  [SMALL_STATE(141)] = 7348,
  [SMALL_STATE(142)] = 7389,
  [SMALL_STATE(143)] = 7430,
  [SMALL_STATE(144)] = 7471,
  [SMALL_STATE(145)] = 7546,
  [SMALL_STATE(146)] = 7587,
  [SMALL_STATE(147)] = 7628,
  [SMALL_STATE(148)] = 7669,
  [SMALL_STATE(149)] = 7710,
  [SMALL_STATE(150)] = 7751,
  [SMALL_STATE(151)] = 7826,
  [SMALL_STATE(152)] = 7867,
  [SMALL_STATE(153)] = 7908,
  [SMALL_STATE(154)] = 7949,
  [SMALL_STATE(155)] = 7990,
  [SMALL_STATE(156)] = 8031,
  [SMALL_STATE(157)] = 8072,
  [SMALL_STATE(158)] = 8113,
  [SMALL_STATE(159)] = 8188,
  [SMALL_STATE(160)] = 8229,
  [SMALL_STATE(161)] = 8304,
  [SMALL_STATE(162)] = 8345,
  [SMALL_STATE(163)] = 8386,
  [SMALL_STATE(164)] = 8427,
  [SMALL_STATE(165)] = 8468,
  [SMALL_STATE(166)] = 8509,
  [SMALL_STATE(167)] = 8550,
  [SMALL_STATE(168)] = 8591,
  [SMALL_STATE(169)] = 8632,
  [SMALL_STATE(170)] = 8673,
  [SMALL_STATE(171)] = 8714,
  [SMALL_STATE(172)] = 8755,
  [SMALL_STATE(173)] = 8796,
  [SMALL_STATE(174)] = 8837,
  [SMALL_STATE(175)] = 8878,
  [SMALL_STATE(176)] = 8953,
  [SMALL_STATE(177)] = 8994,
  [SMALL_STATE(178)] = 9037,
  [SMALL_STATE(179)] = 9112,
  [SMALL_STATE(180)] = 9153,
  [SMALL_STATE(181)] = 9194,
  [SMALL_STATE(182)] = 9235,
  [SMALL_STATE(183)] = 9276,
  [SMALL_STATE(184)] = 9319,
  [SMALL_STATE(185)] = 9360,
  [SMALL_STATE(186)] = 9401,
  [SMALL_STATE(187)] = 9476,
  [SMALL_STATE(188)] = 9548,
  [SMALL_STATE(189)] = 9620,
  [SMALL_STATE(190)] = 9692,
  [SMALL_STATE(191)] = 9764,
  [SMALL_STATE(192)] = 9836,
  [SMALL_STATE(193)] = 9908,
  [SMALL_STATE(194)] = 9980,
  [SMALL_STATE(195)] = 10052,
  [SMALL_STATE(196)] = 10124,
  [SMALL_STATE(197)] = 10196,
  [SMALL_STATE(198)] = 10268,
  [SMALL_STATE(199)] = 10340,
  [SMALL_STATE(200)] = 10412,
  [SMALL_STATE(201)] = 10484,
  [SMALL_STATE(202)] = 10556,
  [SMALL_STATE(203)] = 10628,
  [SMALL_STATE(204)] = 10700,
  [SMALL_STATE(205)] = 10772,
  [SMALL_STATE(206)] = 10844,
  [SMALL_STATE(207)] = 10916,
  [SMALL_STATE(208)] = 10988,
  [SMALL_STATE(209)] = 11060,
  [SMALL_STATE(210)] = 11132,
  [SMALL_STATE(211)] = 11204,
  [SMALL_STATE(212)] = 11273,
  [SMALL_STATE(213)] = 11342,
  [SMALL_STATE(214)] = 11411,
  [SMALL_STATE(215)] = 11480,
  [SMALL_STATE(216)] = 11527,
  [SMALL_STATE(217)] = 11600,
  [SMALL_STATE(218)] = 11669,
  [SMALL_STATE(219)] = 11738,
  [SMALL_STATE(220)] = 11777,
  [SMALL_STATE(221)] = 11846,
  [SMALL_STATE(222)] = 11885,
  [SMALL_STATE(223)] = 11954,
  [SMALL_STATE(224)] = 11997,
  [SMALL_STATE(225)] = 12066,
  [SMALL_STATE(226)] = 12113,
  [SMALL_STATE(227)] = 12182,
  [SMALL_STATE(228)] = 12229,
  [SMALL_STATE(229)] = 12276,
  [SMALL_STATE(230)] = 12345,
  [SMALL_STATE(231)] = 12414,
  [SMALL_STATE(232)] = 12453,
  [SMALL_STATE(233)] = 12526,
  [SMALL_STATE(234)] = 12565,
  [SMALL_STATE(235)] = 12634,
  [SMALL_STATE(236)] = 12703,
  [SMALL_STATE(237)] = 12772,
  [SMALL_STATE(238)] = 12841,
  [SMALL_STATE(239)] = 12910,
  [SMALL_STATE(240)] = 12979,
  [SMALL_STATE(241)] = 13048,
  [SMALL_STATE(242)] = 13117,
  [SMALL_STATE(243)] = 13186,
  [SMALL_STATE(244)] = 13255,
  [SMALL_STATE(245)] = 13324,
  [SMALL_STATE(246)] = 13393,
  [SMALL_STATE(247)] = 13462,
  [SMALL_STATE(248)] = 13531,
  [SMALL_STATE(249)] = 13600,
  [SMALL_STATE(250)] = 13669,
  [SMALL_STATE(251)] = 13738,
  [SMALL_STATE(252)] = 13807,
  [SMALL_STATE(253)] = 13876,
  [SMALL_STATE(254)] = 13945,
  [SMALL_STATE(255)] = 14014,
  [SMALL_STATE(256)] = 14083,
  [SMALL_STATE(257)] = 14152,
  [SMALL_STATE(258)] = 14221,
  [SMALL_STATE(259)] = 14290,
  [SMALL_STATE(260)] = 14359,
  [SMALL_STATE(261)] = 14428,
  [SMALL_STATE(262)] = 14497,
  [SMALL_STATE(263)] = 14566,
  [SMALL_STATE(264)] = 14635,
  [SMALL_STATE(265)] = 14704,
  [SMALL_STATE(266)] = 14773,
  [SMALL_STATE(267)] = 14842,
  [SMALL_STATE(268)] = 14911,
  [SMALL_STATE(269)] = 14980,
  [SMALL_STATE(270)] = 15049,
  [SMALL_STATE(271)] = 15118,
  [SMALL_STATE(272)] = 15187,
  [SMALL_STATE(273)] = 15256,
  [SMALL_STATE(274)] = 15325,
  [SMALL_STATE(275)] = 15394,
  [SMALL_STATE(276)] = 15463,
  [SMALL_STATE(277)] = 15501,
  [SMALL_STATE(278)] = 15539,
  [SMALL_STATE(279)] = 15579,
  [SMALL_STATE(280)] = 15617,
  [SMALL_STATE(281)] = 15657,
  [SMALL_STATE(282)] = 15695,
  [SMALL_STATE(283)] = 15732,
  [SMALL_STATE(284)] = 15769,
  [SMALL_STATE(285)] = 15806,
  [SMALL_STATE(286)] = 15843,
  [SMALL_STATE(287)] = 15880,
  [SMALL_STATE(288)] = 15917,
  [SMALL_STATE(289)] = 15954,
  [SMALL_STATE(290)] = 15991,
  [SMALL_STATE(291)] = 16028,
  [SMALL_STATE(292)] = 16065,
  [SMALL_STATE(293)] = 16102,
  [SMALL_STATE(294)] = 16139,
  [SMALL_STATE(295)] = 16176,
  [SMALL_STATE(296)] = 16213,
  [SMALL_STATE(297)] = 16250,
  [SMALL_STATE(298)] = 16287,
  [SMALL_STATE(299)] = 16324,
  [SMALL_STATE(300)] = 16361,
  [SMALL_STATE(301)] = 16398,
  [SMALL_STATE(302)] = 16437,
  [SMALL_STATE(303)] = 16484,
  [SMALL_STATE(304)] = 16537,
  [SMALL_STATE(305)] = 16588,
  [SMALL_STATE(306)] = 16643,
  [SMALL_STATE(307)] = 16682,
  [SMALL_STATE(308)] = 16723,
  [SMALL_STATE(309)] = 16766,
  [SMALL_STATE(310)] = 16811,
  [SMALL_STATE(311)] = 16854,
  [SMALL_STATE(312)] = 16903,
  [SMALL_STATE(313)] = 16955,
  [SMALL_STATE(314)] = 17007,
  [SMALL_STATE(315)] = 17059,
  [SMALL_STATE(316)] = 17111,
  [SMALL_STATE(317)] = 17160,
  [SMALL_STATE(318)] = 17209,
  [SMALL_STATE(319)] = 17258,
  [SMALL_STATE(320)] = 17307,
  [SMALL_STATE(321)] = 17356,
  [SMALL_STATE(322)] = 17405,
  [SMALL_STATE(323)] = 17443,
  [SMALL_STATE(324)] = 17481,
  [SMALL_STATE(325)] = 17535,
  [SMALL_STATE(326)] = 17573,
  [SMALL_STATE(327)] = 17619,
  [SMALL_STATE(328)] = 17657,
  [SMALL_STATE(329)] = 17695,
  [SMALL_STATE(330)] = 17733,
  [SMALL_STATE(331)] = 17771,
  [SMALL_STATE(332)] = 17809,
  [SMALL_STATE(333)] = 17847,
  [SMALL_STATE(334)] = 17904,
  [SMALL_STATE(335)] = 17939,
  [SMALL_STATE(336)] = 17992,
  [SMALL_STATE(337)] = 18049,
  [SMALL_STATE(338)] = 18106,
  [SMALL_STATE(339)] = 18163,
  [SMALL_STATE(340)] = 18220,
  [SMALL_STATE(341)] = 18277,
  [SMALL_STATE(342)] = 18334,
  [SMALL_STATE(343)] = 18391,
  [SMALL_STATE(344)] = 18445,
  [SMALL_STATE(345)] = 18497,
  [SMALL_STATE(346)] = 18537,
  [SMALL_STATE(347)] = 18577,
  [SMALL_STATE(348)] = 18617,
  [SMALL_STATE(349)] = 18671,
  [SMALL_STATE(350)] = 18725,
  [SMALL_STATE(351)] = 18779,
  [SMALL_STATE(352)] = 18833,
  [SMALL_STATE(353)] = 18865,
  [SMALL_STATE(354)] = 18917,
  [SMALL_STATE(355)] = 18968,
  [SMALL_STATE(356)] = 19019,
  [SMALL_STATE(357)] = 19070,
  [SMALL_STATE(358)] = 19111,
  [SMALL_STATE(359)] = 19154,
  [SMALL_STATE(360)] = 19193,
  [SMALL_STATE(361)] = 19244,
  [SMALL_STATE(362)] = 19293,
  [SMALL_STATE(363)] = 19330,
  [SMALL_STATE(364)] = 19375,
  [SMALL_STATE(365)] = 19422,
  [SMALL_STATE(366)] = 19473,
  [SMALL_STATE(367)] = 19524,
  [SMALL_STATE(368)] = 19559,
  [SMALL_STATE(369)] = 19592,
  [SMALL_STATE(370)] = 19643,
  [SMALL_STATE(371)] = 19676,
  [SMALL_STATE(372)] = 19727,
  [SMALL_STATE(373)] = 19760,
  [SMALL_STATE(374)] = 19801,
  [SMALL_STATE(375)] = 19844,
  [SMALL_STATE(376)] = 19883,
  [SMALL_STATE(377)] = 19920,
  [SMALL_STATE(378)] = 19969,
  [SMALL_STATE(379)] = 20016,
  [SMALL_STATE(380)] = 20061,
  [SMALL_STATE(381)] = 20096,
  [SMALL_STATE(382)] = 20129,
  [SMALL_STATE(383)] = 20177,
  [SMALL_STATE(384)] = 20203,
  [SMALL_STATE(385)] = 20229,
  [SMALL_STATE(386)] = 20255,
  [SMALL_STATE(387)] = 20281,
  [SMALL_STATE(388)] = 20322,
  [SMALL_STATE(389)] = 20351,
  [SMALL_STATE(390)] = 20380,
  [SMALL_STATE(391)] = 20409,
  [SMALL_STATE(392)] = 20430,
  [SMALL_STATE(393)] = 20456,
  [SMALL_STATE(394)] = 20484,
  [SMALL_STATE(395)] = 20512,
  [SMALL_STATE(396)] = 20540,
  [SMALL_STATE(397)] = 20566,
  [SMALL_STATE(398)] = 20594,
  [SMALL_STATE(399)] = 20620,
  [SMALL_STATE(400)] = 20646,
  [SMALL_STATE(401)] = 20672,
  [SMALL_STATE(402)] = 20700,
  [SMALL_STATE(403)] = 20726,
  [SMALL_STATE(404)] = 20754,
  [SMALL_STATE(405)] = 20780,
  [SMALL_STATE(406)] = 20808,
  [SMALL_STATE(407)] = 20836,
  [SMALL_STATE(408)] = 20864,
  [SMALL_STATE(409)] = 20890,
  [SMALL_STATE(410)] = 20916,
  [SMALL_STATE(411)] = 20944,
  [SMALL_STATE(412)] = 20972,
  [SMALL_STATE(413)] = 21000,
  [SMALL_STATE(414)] = 21025,
  [SMALL_STATE(415)] = 21045,
  [SMALL_STATE(416)] = 21065,
  [SMALL_STATE(417)] = 21085,
  [SMALL_STATE(418)] = 21108,
  [SMALL_STATE(419)] = 21125,
  [SMALL_STATE(420)] = 21142,
  [SMALL_STATE(421)] = 21165,
  [SMALL_STATE(422)] = 21180,
  [SMALL_STATE(423)] = 21201,
  [SMALL_STATE(424)] = 21221,
  [SMALL_STATE(425)] = 21243,
  [SMALL_STATE(426)] = 21261,
  [SMALL_STATE(427)] = 21279,
  [SMALL_STATE(428)] = 21299,
  [SMALL_STATE(429)] = 21317,
  [SMALL_STATE(430)] = 21335,
  [SMALL_STATE(431)] = 21353,
  [SMALL_STATE(432)] = 21375,
  [SMALL_STATE(433)] = 21389,
  [SMALL_STATE(434)] = 21409,
  [SMALL_STATE(435)] = 21427,
  [SMALL_STATE(436)] = 21441,
  [SMALL_STATE(437)] = 21463,
  [SMALL_STATE(438)] = 21485,
  [SMALL_STATE(439)] = 21505,
  [SMALL_STATE(440)] = 21525,
  [SMALL_STATE(441)] = 21543,
  [SMALL_STATE(442)] = 21560,
  [SMALL_STATE(443)] = 21579,
  [SMALL_STATE(444)] = 21596,
  [SMALL_STATE(445)] = 21611,
  [SMALL_STATE(446)] = 21626,
  [SMALL_STATE(447)] = 21641,
  [SMALL_STATE(448)] = 21658,
  [SMALL_STATE(449)] = 21675,
  [SMALL_STATE(450)] = 21694,
  [SMALL_STATE(451)] = 21709,
  [SMALL_STATE(452)] = 21724,
  [SMALL_STATE(453)] = 21738,
  [SMALL_STATE(454)] = 21752,
  [SMALL_STATE(455)] = 21766,
  [SMALL_STATE(456)] = 21780,
  [SMALL_STATE(457)] = 21796,
  [SMALL_STATE(458)] = 21810,
  [SMALL_STATE(459)] = 21824,
  [SMALL_STATE(460)] = 21840,
  [SMALL_STATE(461)] = 21852,
  [SMALL_STATE(462)] = 21868,
  [SMALL_STATE(463)] = 21884,
  [SMALL_STATE(464)] = 21900,
  [SMALL_STATE(465)] = 21916,
  [SMALL_STATE(466)] = 21930,
  [SMALL_STATE(467)] = 21940,
  [SMALL_STATE(468)] = 21954,
  [SMALL_STATE(469)] = 21970,
  [SMALL_STATE(470)] = 21984,
  [SMALL_STATE(471)] = 21998,
  [SMALL_STATE(472)] = 22012,
  [SMALL_STATE(473)] = 22026,
  [SMALL_STATE(474)] = 22040,
  [SMALL_STATE(475)] = 22054,
  [SMALL_STATE(476)] = 22067,
  [SMALL_STATE(477)] = 22080,
  [SMALL_STATE(478)] = 22093,
  [SMALL_STATE(479)] = 22106,
  [SMALL_STATE(480)] = 22119,
  [SMALL_STATE(481)] = 22128,
  [SMALL_STATE(482)] = 22141,
  [SMALL_STATE(483)] = 22150,
  [SMALL_STATE(484)] = 22163,
  [SMALL_STATE(485)] = 22176,
  [SMALL_STATE(486)] = 22189,
  [SMALL_STATE(487)] = 22198,
  [SMALL_STATE(488)] = 22211,
  [SMALL_STATE(489)] = 22224,
  [SMALL_STATE(490)] = 22237,
  [SMALL_STATE(491)] = 22250,
  [SMALL_STATE(492)] = 22263,
  [SMALL_STATE(493)] = 22276,
  [SMALL_STATE(494)] = 22287,
  [SMALL_STATE(495)] = 22300,
  [SMALL_STATE(496)] = 22313,
  [SMALL_STATE(497)] = 22324,
  [SMALL_STATE(498)] = 22337,
  [SMALL_STATE(499)] = 22350,
  [SMALL_STATE(500)] = 22363,
  [SMALL_STATE(501)] = 22376,
  [SMALL_STATE(502)] = 22389,
  [SMALL_STATE(503)] = 22402,
  [SMALL_STATE(504)] = 22415,
  [SMALL_STATE(505)] = 22428,
  [SMALL_STATE(506)] = 22441,
  [SMALL_STATE(507)] = 22454,
  [SMALL_STATE(508)] = 22467,
  [SMALL_STATE(509)] = 22480,
  [SMALL_STATE(510)] = 22493,
  [SMALL_STATE(511)] = 22506,
  [SMALL_STATE(512)] = 22519,
  [SMALL_STATE(513)] = 22528,
  [SMALL_STATE(514)] = 22539,
  [SMALL_STATE(515)] = 22552,
  [SMALL_STATE(516)] = 22565,
  [SMALL_STATE(517)] = 22578,
  [SMALL_STATE(518)] = 22591,
  [SMALL_STATE(519)] = 22604,
  [SMALL_STATE(520)] = 22613,
  [SMALL_STATE(521)] = 22626,
  [SMALL_STATE(522)] = 22635,
  [SMALL_STATE(523)] = 22648,
  [SMALL_STATE(524)] = 22661,
  [SMALL_STATE(525)] = 22674,
  [SMALL_STATE(526)] = 22683,
  [SMALL_STATE(527)] = 22696,
  [SMALL_STATE(528)] = 22709,
  [SMALL_STATE(529)] = 22722,
  [SMALL_STATE(530)] = 22735,
  [SMALL_STATE(531)] = 22748,
  [SMALL_STATE(532)] = 22761,
  [SMALL_STATE(533)] = 22774,
  [SMALL_STATE(534)] = 22787,
  [SMALL_STATE(535)] = 22800,
  [SMALL_STATE(536)] = 22813,
  [SMALL_STATE(537)] = 22826,
  [SMALL_STATE(538)] = 22835,
  [SMALL_STATE(539)] = 22846,
  [SMALL_STATE(540)] = 22859,
  [SMALL_STATE(541)] = 22872,
  [SMALL_STATE(542)] = 22883,
  [SMALL_STATE(543)] = 22896,
  [SMALL_STATE(544)] = 22909,
  [SMALL_STATE(545)] = 22919,
  [SMALL_STATE(546)] = 22927,
  [SMALL_STATE(547)] = 22937,
  [SMALL_STATE(548)] = 22947,
  [SMALL_STATE(549)] = 22955,
  [SMALL_STATE(550)] = 22965,
  [SMALL_STATE(551)] = 22973,
  [SMALL_STATE(552)] = 22983,
  [SMALL_STATE(553)] = 22993,
  [SMALL_STATE(554)] = 23003,
  [SMALL_STATE(555)] = 23011,
  [SMALL_STATE(556)] = 23019,
  [SMALL_STATE(557)] = 23027,
  [SMALL_STATE(558)] = 23037,
  [SMALL_STATE(559)] = 23045,
  [SMALL_STATE(560)] = 23055,
  [SMALL_STATE(561)] = 23065,
  [SMALL_STATE(562)] = 23075,
  [SMALL_STATE(563)] = 23085,
  [SMALL_STATE(564)] = 23093,
  [SMALL_STATE(565)] = 23103,
  [SMALL_STATE(566)] = 23113,
  [SMALL_STATE(567)] = 23123,
  [SMALL_STATE(568)] = 23133,
  [SMALL_STATE(569)] = 23143,
  [SMALL_STATE(570)] = 23153,
  [SMALL_STATE(571)] = 23161,
  [SMALL_STATE(572)] = 23169,
  [SMALL_STATE(573)] = 23179,
  [SMALL_STATE(574)] = 23187,
  [SMALL_STATE(575)] = 23194,
  [SMALL_STATE(576)] = 23201,
  [SMALL_STATE(577)] = 23208,
  [SMALL_STATE(578)] = 23215,
  [SMALL_STATE(579)] = 23222,
  [SMALL_STATE(580)] = 23229,
  [SMALL_STATE(581)] = 23236,
  [SMALL_STATE(582)] = 23243,
  [SMALL_STATE(583)] = 23250,
  [SMALL_STATE(584)] = 23257,
  [SMALL_STATE(585)] = 23264,
  [SMALL_STATE(586)] = 23271,
  [SMALL_STATE(587)] = 23278,
  [SMALL_STATE(588)] = 23285,
  [SMALL_STATE(589)] = 23292,
  [SMALL_STATE(590)] = 23299,
  [SMALL_STATE(591)] = 23306,
  [SMALL_STATE(592)] = 23313,
  [SMALL_STATE(593)] = 23320,
  [SMALL_STATE(594)] = 23327,
  [SMALL_STATE(595)] = 23334,
  [SMALL_STATE(596)] = 23341,
  [SMALL_STATE(597)] = 23348,
  [SMALL_STATE(598)] = 23355,
  [SMALL_STATE(599)] = 23362,
  [SMALL_STATE(600)] = 23369,
  [SMALL_STATE(601)] = 23376,
  [SMALL_STATE(602)] = 23383,
  [SMALL_STATE(603)] = 23390,
  [SMALL_STATE(604)] = 23397,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [59] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [61] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [64] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [67] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [76] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(452),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [85] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(237),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(242),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(441),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_identifier, 3, 0, 0),
  [160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_identifier, 3, 0, 0),
  [162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_identifier, 4, 0, 0),
  [166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_identifier, 4, 0, 0),
  [168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0),
  [170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(598),
  [175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 2, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 2, 0, 0),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 0),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 0),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 0),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_reference, 4, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_reference, 4, 0, 0),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_reference, 5, 0, 0),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_reference, 5, 0, 0),
  [243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, 0, 0),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 1, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 1, 0, 0),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, 0, 0),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 5, 0, 0),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 4, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 4, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 3, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 3, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 2, 0, 0),
  [281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 2, 0, 0),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 5, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 5, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 2, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 2, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0), REDUCE(sym_literal, 1, 0, 0),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0), REDUCE(sym_literal, 1, 0, 0),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 1),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 1),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 2),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 2),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 0),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 0),
  [351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 0),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 0),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 0),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 0),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 0),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_statement_repeat1, 2, 0, 0),
  [434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tag_statement_repeat1, 2, 0, 0),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 4, 0, 0),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector, 4, 0, 0),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_type, 2, 0, 0),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_type, 2, 0, 0),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 5, 0, 0),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector, 5, 0, 0),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_type, 3, 0, 0),
  [497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_type, 3, 0, 0),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif_statement, 3, 0, 0),
  [505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif_statement, 3, 0, 0),
  [507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 6, 0, 0),
  [509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector, 6, 0, 0),
  [511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_type, 4, 0, 0),
  [513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_type, 4, 0, 0),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_type, 4, 0, 0),
  [517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_type, 4, 0, 0),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 7, 0, 0),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector, 7, 0, 0),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_type, 5, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_type, 5, 0, 0),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_type, 5, 0, 0),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_type, 5, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 3, 0, 0),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 3, 0, 0),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_statement, 3, 0, 0),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_statement, 3, 0, 0),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_statement, 2, 0, 0),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_statement, 2, 0, 0),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_type, 6, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_type, 6, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 6, 0, 9),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 6, 0, 9),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 6, 0, 14),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 6, 0, 14),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 6, 0, 13),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 6, 0, 13),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, 0, 0),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_statement, 4, 0, 5),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator_statement, 4, 0, 5),
  [606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_statement, 6, 0, 5),
  [608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator_statement, 6, 0, 5),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_default, 6, 0, 3),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_default, 6, 0, 3),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 6, 0, 11),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 6, 0, 11),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_default, 4, 0, 3),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_default, 4, 0, 3),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 4, 0, 6),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 4, 0, 6),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 7, 0, 13),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 7, 0, 13),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 7, 0, 14),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 7, 0, 14),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 0),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 0),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 0),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 0),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 0),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 0),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 5, 0, 8),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 5, 0, 8),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node_definition, 3, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node_definition, 3, 0, 0),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defined_resource_type, 3, 0, 0),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defined_resource_type, 3, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 5, 0, 9),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 5, 0, 9),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless_statement, 3, 0, 0),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unless_statement, 3, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 0),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_collector, 3, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_collector, 3, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 0),
  [694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 3, 0, 0),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 0),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_collector, 4, 0, 0),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_collector, 4, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_statement, 2, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_statement, 2, 0, 0),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_statement, 5, 0, 5),
  [710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator_statement, 5, 0, 5),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_default, 3, 0, 3),
  [714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_default, 3, 0, 3),
  [716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_default, 5, 0, 3),
  [718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_default, 5, 0, 3),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 5, 0, 6),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 5, 0, 6),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 5, 0, 11),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 5, 0, 11),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 6, 0, 8),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 6, 0, 8),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node_definition, 4, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node_definition, 4, 0, 0),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defined_resource_type, 4, 0, 0),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defined_resource_type, 4, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 0),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, 0, 0),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 4),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, 0, 0),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, 0, 0),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__resource_block, 4, 0, 7),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__resource_block, 2, 0, 7),
  [1022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__resource_block, 5, 0, 7),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(440),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(440),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(590),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__resource_block_repeat1, 2, 0, 0),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__resource_block_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__resource_block, 3, 0, 7),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_node_definition_repeat1, 2, 0, 0),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_reference_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_reference_repeat1, 2, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default, 1, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_composite_type_repeat1, 2, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_repeat1, 2, 0, 0), SHIFT_REPEAT(551),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_repeat1, 2, 0, 0),
  [1284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_composite_type_repeat1, 2, 0, 0), SHIFT_REPEAT(318),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_declaration_repeat1, 2, 0, 12),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_declaration_repeat1, 2, 0, 12), SHIFT_REPEAT(201),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_type_repeat1, 2, 0, 0),
  [1316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(326),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_type_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_type_repeat1, 2, 0, 0),
  [1358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_type_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_type_entry, 3, 0, 4),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node_name, 1, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_declaration_repeat1, 2, 0, 10),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_search_expression, 3, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_search_expression, 3, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1429] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_inherits, 2, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_puppet(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
